
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test001"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(4.4408934E-15f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.4408934E-15f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.07934486924560659d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07942814949218328d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(608120.1598464776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 608120.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test004"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    dfpField1.setIEEEFlagsBits(25);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(16.000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test005"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    dfpField1.setIEEEFlagsBits(42);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    int i7 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test006"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    double d8 = dfp7.toDouble();
    boolean b9 = dfp7.isZero();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp7.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.356968704739482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.30525331849356435d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test008"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField16.getSqr3Reciprocal();
    dfpField16.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField16.setRoundingMode(roundingMode22);
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField16.getPiSplit();
    dfpField16.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode26 = dfpField16.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode26);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test009"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.000001f, 0.92189336f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test010"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.3854491735749803d), 0.6136989856440999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6136989856440999d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test011"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(93740670);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((-1970163199820858683L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test012"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.022821786f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.6409253f, (-43));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.286477E-14f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test014"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-0.011183296809844508d));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test015"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    dfpField1.setIEEEFlags((-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test016"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    boolean b7 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = numberIsTooSmallException11.getContext();
    java.lang.Number number13 = numberIsTooSmallException11.getMin();
    java.lang.Number number14 = numberIsTooSmallException11.getMin();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Throwable[] throwable_array16 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 10.0f+ "'", number14.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test017"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp43.newInstance(779.820594653974d);
    boolean b51 = dfp50.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test018"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.newInstance("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test019"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    dfpField1.setIEEEFlags((-1223252363));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test020"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    boolean b19 = dfp17.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp22.multiply(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp9.dotrap((-1), "", dfp17, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.abs();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp55.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp55.newInstance(1L);
    int i61 = dfp60.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp67.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.abs();
    org.apache.commons.math3.dfp.DfpField dfpField73 = dfp72.getField();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp72.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp76.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp60.newInstance(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp42.multiply(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp42.floor();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp80.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp80.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test021"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9474760790464252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test022"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.negate();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp16.remainder(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp16.floor();
    double[] d_array28 = dfp27.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp27.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp13.nextAfter(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test023"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    boolean b6 = dfp5.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test024"); }


    int[] i_array1 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long4 = mersenneTwister3.nextLong();
    double d5 = mersenneTwister3.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.4549270116048707d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test025"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.47224048f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test026"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(47, 32768);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32768);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test027"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(8.4703295E-22f, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test028() {}
// Defects4J: flaky method
//   @Test
//   public void test028() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test028"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d2 = mersenneTwister1.nextDouble();
//     float f3 = mersenneTwister1.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister();
//     float f5 = mersenneTwister4.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d8 = mersenneTwister7.nextGaussian();
//     mersenneTwister7.setSeed((-1L));
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array13 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister(i_array13);
//     mersenneTwister11.setSeed(i_array13);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(i_array13);
//     mersenneTwister7.setSeed(i_array13);
//     mersenneTwister4.setSeed(i_array13);
//     mersenneTwister1.setSeed(i_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.1129943035738381d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f3 == 0.4178288f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f5 == 0.010693431f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0019203836877835d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array13);
// 
//   }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test029"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.DfpField dfpField3 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp(100.0d);
    boolean b20 = dfp11.unequal(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.getLn10();
    boolean b23 = dfp22.isNaN();
    boolean b24 = dfp22.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.1447490551901993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test031"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)3L, (java.lang.Number)(byte)3, false);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test032"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getLn5Split();
    dfpField2.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField2.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField2.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField2.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField2.getLn5Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test033"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.3159211931633104d, (-335465128));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test034"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.41782883f, 4.440893E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.41782883f);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.01748680953819671d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017487700762722127d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test036"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp6.add(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.add(dfp19);
    boolean b21 = dfp13.unequal(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField33.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp31.add(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp37 = new org.apache.commons.math3.dfp.Dfp(dfp31);
    boolean b38 = dfp22.lessThan(dfp37);
    int i39 = dfp22.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-4));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test037"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.18269831313049545d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0167358108188804d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test038"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    boolean b5 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getZero();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.newInstance((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test039"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getOne();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField11.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test040"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    int i3 = dfp2.classify();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    double d12 = dfp11.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp15.remainder(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp28.remainder(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp15.newInstance(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp11.multiply(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.remainder(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp45, dfp54);
    boolean b60 = dfp54.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp2.add(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp67.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.abs();
    double d73 = dfp71.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.ceil();
    java.lang.String str75 = dfp74.toString();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp74.rint();
    boolean b77 = dfp54.unequal(dfp76);
    boolean b78 = dfp76.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "0."+ "'", str75.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(7.608074915706215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test042"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    int i5 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test043"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.2143494404080452d, 3.552713678800501E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 21.602515616259552d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test044"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.abs();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.multiply(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.2674091753221619d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2739708591402482d));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test046"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.10812816541664173d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test047"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test048"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test049"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp38.add(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp41.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.abs();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp45.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp45.newInstance(1L);
    int i51 = dfp50.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp54.add(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp57.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp60.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.abs();
    org.apache.commons.math3.dfp.DfpField dfpField63 = dfp62.getField();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp62.rint();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp62.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp66.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp50.newInstance(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp50.newInstance(0.5448831893094142d);
    boolean b71 = dfp35.greaterThan(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test050"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.45492697f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test051"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test052"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = new org.apache.commons.math3.dfp.Dfp(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField23.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField23.newDfp(100.0d);
    boolean b30 = dfp20.lessThan(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test053"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9149994957367078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2997277948552883d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.6928476487816017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test055"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test056"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.6409253f, 0.15671098f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.15671098f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test057"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(74.68589981970027d, (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 74.71267383702919d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test058"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField9.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp7, dfp12);
    boolean b14 = dfp12.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp15 = new org.apache.commons.math3.dfp.Dfp(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test059"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.ceil();
    boolean b14 = dfp13.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test060"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-13027.083186423411d), (java.lang.Number)2.2151279059928317d, true);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp2.newInstance((byte)100, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp2.abs();
    double[] d_array22 = dfp21.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test062"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1);
    boolean b2 = mersenneTwister1.nextBoolean();
    long long3 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == (-51931120792031348L));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test063"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    boolean b33 = dfp32.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.ceil();
    double[] d_array35 = dfp34.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test064"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.1920933E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920933E-7f);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test065"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(8.488967212558322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4859.843262075024d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test067"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp40.newInstance(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp40.newInstance("hi!");
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp40.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test068"); }


    int[] i_array1 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    double d4 = mersenneTwister2.nextGaussian();
    int i6 = mersenneTwister2.nextInt(93740670);
    mersenneTwister2.setSeed((-231712574));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.6928476487816017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 15227406);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test069"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test070"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.52022505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.52022505f);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test071"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test072"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.0002687227914362d, 0.07847219752147647d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4925055636426368d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test073"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-51931120792031348L), 6480552030174106886L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-51931120792031348L));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test074"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.27836934f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.27836934f);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test075"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(16869.499985180373d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16869.499985180373d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.6696561188877991d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test077"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.022821786f, 0.20296241f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.20296241f);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(81.02846845413774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test079"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.105427E-15f, 0.54881346f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.105427E-15f);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test080"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 180.0d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test081"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode2 = null;
    dfpField1.setRoundingMode(roundingMode2);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    boolean b5 = dfp4.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test082"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    int i3 = dfpField1.getIEEEFlags();
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test083"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.8674321083824503E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test085"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test086"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.43513742f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test087"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(49.369395053322584d, 0.6045499846672442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.203703689391439d));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test088"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.08733523f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.08733523f);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.7951100577651008d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test090"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp((byte)100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.newDfp(0.018620203053042635d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.newInstance((-6066107800746772669L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test091"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-656048793), (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-23));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test092"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(13028.0d, 1.0002687227914362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13028.000038399505d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test093"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.818989403545857E-12d, 0.9067550430324093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0036209033574171033d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test094"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-40));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test095"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)4.440892098500626E-16d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(16.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.464757906675863d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test097"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    int i8 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test098"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlags(1);
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9030899869919435d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.3101688857239333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2666769020366389d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test101"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test102"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    int i8 = dfp7.classify();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.abs();
    org.apache.commons.math3.dfp.DfpField dfpField20 = dfp19.getField();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField20.newDfp((byte)(-1), (byte)100);
    int i24 = dfp23.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp23.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.newInstance();
    java.lang.Object obj36 = null;
    boolean b37 = dfp35.equals(obj36);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.nextAfter(dfp35);
    boolean b39 = dfp7.lessThan(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp7.power10((-335465128));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(21.602515616259552d, (-32767));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test104"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    double d28 = dfp26.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.ceil();
    java.lang.String str30 = dfp29.toString();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp15.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.add(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.newInstance();
    boolean b49 = dfp34.unequal(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp34.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp52 = org.apache.commons.math3.dfp.Dfp.copysign(dfp15, dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField53 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp15.rint();
    boolean b55 = dfp54.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0."+ "'", str30.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test105"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long2 = mersenneTwister1.nextLong();
    mersenneTwister1.setSeed(0L);
    mersenneTwister1.setSeed(0L);
    int i8 = mersenneTwister1.nextInt(32760);
    int i10 = mersenneTwister1.nextInt(65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 26796);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test106() {}
// Defects4J: flaky method
//   @Test
//   public void test106() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test106"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     double d2 = mersenneTwister0.nextGaussian();
//     mersenneTwister0.setSeed(10L);
//     float f5 = mersenneTwister0.nextFloat();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.3215007615199086d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f5 == 0.5711645f);
// 
//   }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test107"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.034422275695508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03384308313875409d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test109"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test110"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField2.getLn5Split();
    dfpField2.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField2.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField2.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField2.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField2.getPiSplit();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array10);
    java.lang.Throwable[] throwable_array12 = mathIllegalArgumentException11.getSuppressed();
    java.lang.Throwable[] throwable_array13 = mathIllegalArgumentException11.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test111"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    int i3 = dfp2.classify();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = dfp4.lessThan(dfp5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test112"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz7 = dfpField6.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField6.newDfp((byte)0, (byte)0);
    int i11 = dfp10.classify();
    org.apache.commons.math3.dfp.Dfp dfp12 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp4.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test113"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(4.440893E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0019203836877837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test116"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.59284467f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test117"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-1L));
    int i5 = mersenneTwister1.nextInt();
    boolean b6 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 93740670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test118"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.power10K(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test119"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.442026886600883d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test120"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.4644414981180716d, (-21.836558978921115d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-21.836558978921115d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test121"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.4505806E-9f, 6461);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test122"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test123"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-68.6427746282351d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test125"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.5932483761776627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5322278515583595d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-1.5401476965874874d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9949215303039167d));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test127"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    boolean b26 = dfp24.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp32.add(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp29.remainder(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.add(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp45.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp29.multiply(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp49.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp16.dotrap((-1), "", dfp24, dfp49);
    boolean b53 = dfp16.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField1.newDfp(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.478591263419638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.639250659273754d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test129"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.4549270116048707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test131"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp18 = new org.apache.commons.math3.dfp.Dfp(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test132"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-23), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.0002687227914362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1756158970161692d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.513943343190751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test135"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.4351374f, 0.71518934f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.4351374f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test136"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-335465128), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test137"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2Reciprocal();
    boolean b10 = dfp9.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test138"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.newInstance((-2817708108695690231L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test139"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    int i11 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 20);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test140"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    byte[] byte_array6 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister1.nextBytes(byte_array6);
    double d8 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.21832965848010036d));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test141"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    int i9 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz12 = dfpField11.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz20 = dfpField19.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField19.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField19.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp17.add(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance((byte)100, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp(dfp31);
    org.apache.commons.math3.dfp.Dfp[] dfp_array33 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array33);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.6235186099246098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test143"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.1467736769285514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14783679668791858d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.016082057480251002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.016081364336935553d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test145"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test146"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.abs();
    double d29 = dfp27.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.ceil();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp16.multiply(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.power10(32760);
    int i34 = dfp33.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 32760);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test147"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.getOne();
    int i12 = dfp5.log10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp5.newInstance("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2764.8568994332445d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.547473508864641E-13d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test149"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.1827681809244275d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1827681809244275d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4515826336473349d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.42416926581630204d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test152"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    boolean b5 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed((-1841834327));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test153"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField2.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField2.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField2.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField2.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField2.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField2.getPiSplit();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test154"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, number1);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test155"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextDouble();
    boolean b3 = mersenneTwister1.nextBoolean();
    mersenneTwister1.clear();
    int i5 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1129943035738381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-280369966));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test156"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits(283);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test157"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    org.apache.commons.math3.dfp.DfpField dfpField16 = dfp15.getField();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(16);
    boolean b22 = dfp4.greaterThan(dfp21);
    boolean b23 = dfp4.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test158"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(625644691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test159"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 0.2029624f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test160"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz10 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp(43);
    int i14 = dfp13.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp13.newInstance(2L);
    boolean b19 = dfp18.strictlyPositive();
    boolean b20 = dfp5.greaterThan(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test161"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField43.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField43.getLn2();
    int i47 = dfpField43.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField43.newDfp((byte)1, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp36.newInstance(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField52 = dfp51.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField52);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test162"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-656048793));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(180.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4893842007818383E78d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.6453392481543753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.011263294672638589d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test165"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.6010653f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.6010653f);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test166"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.4722405f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.3688029960278568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 21.13085514417626d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test168"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    byte[] byte_array6 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister1.nextBytes(byte_array6);
    mersenneTwister1.clear();
    float f9 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 0.71518934f);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test170"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    boolean b8 = dfp5.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test171"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(2.9802322E-8f, 0.52022505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9802322E-8f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test172"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    boolean b11 = dfp10.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField14.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField14.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField14.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp10.multiply(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp23 = dfp10.subtract(dfp22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test173"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1204179834679007461L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1204179834679007461L));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test174"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.2143494404080452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23905555523140512d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test175"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.52022505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test176"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.022821784f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.8626451E-9f);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test177"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getLn5Split();
    dfpField11.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField11.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getSqr3();
    int i26 = dfpField20.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField20.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode28 = dfpField20.getRoundingMode();
    dfpField11.setRoundingMode(roundingMode28);
    dfpField1.setRoundingMode(roundingMode28);
    dfpField1.setIEEEFlagsBits((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode28);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test178"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test179"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2);
    int i8 = dfpField1.getIEEEFlags();
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test180"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp10.floor();
    int i22 = dfp10.intValue();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp10.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp24 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp7, dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField26.getLn2();
    boolean b30 = dfp29.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp31 = new org.apache.commons.math3.dfp.Dfp(dfp29);
    boolean b32 = dfp7.lessThan(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp7.getField();
    boolean b34 = dfp7.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.1007893020346884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.006538154342197d);

  }

  @Test
  public void test182() {}
// Defects4J: flaky method
//   @Test
//   public void test182() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test182"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d2 = mersenneTwister1.nextDouble();
//     boolean b3 = mersenneTwister1.nextBoolean();
//     int i5 = mersenneTwister1.nextInt(100);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister6.clear();
//     double d8 = mersenneTwister6.nextGaussian();
//     mersenneTwister6.setSeed(10L);
//     int[] i_array12 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(i_array12);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister(i_array12);
//     mersenneTwister6.setSeed(i_array12);
//     mersenneTwister1.setSeed(i_array12);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array12);
//     float f18 = mersenneTwister17.nextFloat();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.1129943035738381d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.136670368662452d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f18 == 0.14566922f);
// 
//   }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test183"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.40041073900160434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.916809113253893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5012962894064623d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7623994889984469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9550289954405572d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test187"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(26796, 625644691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 26796);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test188"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.8447761259765154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1264105230453159d);

  }

  @Test
  public void test189() {}
// Defects4J: flaky method
//   @Test
//   public void test189() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test189"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     double d2 = mersenneTwister0.nextGaussian();
//     mersenneTwister0.setSeed(10L);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array7 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
//     mersenneTwister5.setSeed(i_array7);
//     mersenneTwister0.setSeed(i_array7);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
//     int i12 = mersenneTwister11.nextInt();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.49531664469572123d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 625644691);
// 
//   }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test190"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9327595326832586d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.49853650151439044d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test191"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    java.lang.String str7 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "2."+ "'", str7.equals("2."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test192"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(324.05337544611564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.427412097892979E140d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test193"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-3598271731399162694L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test194"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10L);
    int i2 = mersenneTwister1.nextInt();
    long long3 = mersenneTwister1.nextLong();
    // The following exception was thrown during execution in test generation
    try {
      int i5 = mersenneTwister1.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1841834327));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 5805985991905072931L);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test195"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.62440443f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test196"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getZero();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test197"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10);
    float f2 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7713206f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test198"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp(dfp13);
    java.lang.String str15 = dfp13.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "1.609437912434"+ "'", str15.equals("1.609437912434"));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test199"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array2 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    mersenneTwister0.setSeed(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test200"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp14.divide(dfp33);
    int i35 = dfp33.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test201"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(625644691, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 20);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test202"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(307624777816188685L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 307624777816188685L);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test203"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.ceil();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.multiply(32760);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test204"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp7.power10(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp(dfp7);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp7.negate();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp15, dfp18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.8686845608775476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9541588898629468d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.5490183000451396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test207"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(8, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(4.66635758930102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.66635758930102d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test209"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test210() {}
// Defects4J: flaky method
//   @Test
//   public void test210() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test210"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     long long2 = mersenneTwister0.nextLong();
//     mersenneTwister0.setSeed((-8395423546819117721L));
//     boolean b5 = mersenneTwister0.nextBoolean();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == (-2489572767475743101L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == false);
// 
//   }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.936138998631535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5501163832818756d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.8069994291802282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6317429541539469d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test213"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    dfpField1.setIEEEFlagsBits(6);
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test214"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp8.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.newInstance(14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test215"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0L);
    mersenneTwister1.setSeed(3);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test216"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.1964228521445702d, 13027.083186423411d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13027.083187904247d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test217"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getOne();
    boolean b42 = dfp41.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp41.reciprocal();
    boolean b45 = dfp44.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test218"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.4644414981180716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test219"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp36.power10K(43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp36.newInstance(1.522498335279258d);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp46.multiply(1452108352);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test220"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(20267358);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.multiply(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test221"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    int i19 = dfpField11.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField11.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.9880748057446878d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.779399872387629d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test223"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.000001f, 0.7617069895381967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test224"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField9.getLn5Split();
    dfpField9.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField9.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.newDfp(dfp14);
    int i16 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test225"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp47.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp47.getOne();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp36.subtract(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp36.divide(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp84.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test226"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    double d28 = dfp26.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.ceil();
    java.lang.String str30 = dfp29.toString();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp15.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.add(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.newInstance();
    boolean b49 = dfp34.unequal(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp34.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp52 = org.apache.commons.math3.dfp.Dfp.copysign(dfp15, dfp34);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp15.power10K(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0."+ "'", str30.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test227"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.0f), 0.92189336f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test228"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.45306587f, 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7423.0312f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test229"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = new org.apache.commons.math3.dfp.Dfp(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test230"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.0000000000000004d, 0.6478320773058626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-9.775597932656035E14d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test231"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(1L);
    int i6 = dfp5.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.7434696682338923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8382436418040994d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.4515826336473349d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.48500848949723485d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test234"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test235"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.remainder(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp21.remainder(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp8.newInstance(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.floor();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp38.ceil();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.power10K((-32767));
    java.lang.String str42 = dfp41.toString();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField1.newDfp(dfp41);
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "1.000000000000e-131068"+ "'", str42.equals("1.000000000000e-131068"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test236"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.43513742f, 0.89286005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.43513742f);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test237"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.40114029994025246d, 0.7014535075585733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5269031495859562d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test238"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.9802322387695312E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7075472925031877E-6d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test239"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.DfpField dfpField3 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp(100.0d);
    boolean b20 = dfp11.unequal(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(dfp11);
    dfpField1.setIEEEFlags((-43));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-59.45723239700902d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test241"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1841834327), (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-49));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(49.369395053322584d, 3.552713678800501E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test243"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(10);
    mersenneTwister1.setSeed((-1204179834679007461L));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.07942814949218328d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07934465937172669d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test245"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(10.072092336398311d, 1961060856);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test246"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5L, (java.lang.Number)(-0.3854491735749803d), true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test247"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp36.power10K(43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp36.newInstance(1.522498335279258d);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp45.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp49.add(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp56.add(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp59.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.newInstance();
    boolean b64 = dfp49.unequal(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp49.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp66.multiply(0);
    boolean b69 = dfp46.lessThan(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test248"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.08733523f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test249"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    double d17 = dfp16.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp20.remainder(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.add(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp40.add(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp33.remainder(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp20.newInstance(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp16.multiply(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp56.add(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp59.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp53.remainder(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp64 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp50, dfp59);
    int i65 = dfp59.log10();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp9.newInstance(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array69 = dfpField68.getLn5Split();
    dfpField68.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField68.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField68.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array75 = dfpField68.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array76 = dfpField68.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField68.getPi();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField68.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp59.add(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test250"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(866093411895251492L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 866093411895251492L);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.027784925577403585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.02817822901619483d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test252"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister0.clear();
    mersenneTwister0.setSeed(6);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(2687123488734686643L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    double d9 = mersenneTwister7.nextGaussian();
    byte[] byte_array10 = new byte[] {  };
    mersenneTwister7.nextBytes(byte_array10);
    mersenneTwister5.nextBytes(byte_array10);
    mersenneTwister0.nextBytes(byte_array10);
    mersenneTwister0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.48564067996642346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test253"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test254"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)9.999999f);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(588.84299479604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6929813865032607E255d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test256"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2817708108695690231L), 3466294351118228098L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3466294351118228098L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.0003858272770314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5435341743565678d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test258"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp15);
    java.lang.Class clazz19 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test259"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 93740670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test260"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.44284713f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test261"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.02468268298976815d, (java.lang.Number)4, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(byte)(-1), (java.lang.Number)(-1.0504981725497873d), false);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test262"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    boolean b28 = dfp13.unequal(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp13.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp31 = org.apache.commons.math3.dfp.Dfp.copysign(dfp10, dfp13);
    boolean b32 = dfp10.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test263"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1970163199820858683L), 6480552030174106886L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6480552030174106886L);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.5167245664147402d), 0.6235186099246098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6920115833342912d));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test265"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.5139433f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.5139433f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test266"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    int i8 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.rint();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp5.getField();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    boolean b18 = dfp16.isInfinite();
    int i19 = dfp16.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.rint();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp5.subtract(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.divide(42);
    org.apache.commons.math3.dfp.DfpField dfpField24 = dfp23.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField24);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(5.155488039611829E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5702807779680974d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test268"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long2 = mersenneTwister1.nextLong();
    mersenneTwister1.setSeed(0L);
    mersenneTwister1.setSeed(0L);
    float f7 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.15071714f);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test269"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.setIEEEFlags(17714);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField24.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField24.getPi();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp28.power10K(65);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz33 = dfpField32.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.dotrap(20, "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp28, dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test270"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getOne();
    boolean b42 = dfp41.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp41);
    int i44 = dfp8.intValue();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp8.getOne();
    org.apache.commons.math3.dfp.Dfp dfp46 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test271"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp47.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp47.getOne();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp36.subtract(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp36.divide(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp85 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp36.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.6696561188877991d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.304541984820281d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test273"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.DfpField dfpField3 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp(100.0d);
    boolean b20 = dfp11.unequal(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.divide(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test274"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)1);
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)10);
    boolean b13 = dfp11.equals((java.lang.Object)0.8069994291802282d);
    org.apache.commons.math3.dfp.Dfp dfp14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.nextAfter(dfp14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9997667113157499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.99988334885413d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test276"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField1.getRoundingMode();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test277"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(4.295002E-13f, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.09952054E-10f);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test278"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test279"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2Reciprocal();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test280"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(4.547473508864641E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.936838537690753E-15d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test282"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    boolean b19 = dfp17.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp22.multiply(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp9.dotrap((-1), "", dfp17, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.abs();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp55.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp55.newInstance(1L);
    int i61 = dfp60.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp67.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.abs();
    org.apache.commons.math3.dfp.DfpField dfpField73 = dfp72.getField();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp72.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp76.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp60.newInstance(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp42.multiply(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp42.floor();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp80.divide(0);
    org.apache.commons.math3.dfp.Dfp dfp83 = new org.apache.commons.math3.dfp.Dfp(dfp80);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp83.power10(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test283"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test284"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test285"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.105427E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test286"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp(dfp13);
    dfpField1.setIEEEFlagsBits(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.080824288920906d, 2.5012962894064623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16.6840229153568d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test288"); }


    int[] i_array1 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    double d4 = mersenneTwister2.nextGaussian();
    mersenneTwister2.setSeed((-1L));
    boolean b7 = mersenneTwister2.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.6928476487816017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test289"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9999999982429385d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test290"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp40.classify();
    int i42 = dfp40.classify();
    boolean b43 = dfp40.isZero();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp40.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test291"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.536743E-7f, 1.1264105230453159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test292"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.power10(20267358);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField10.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getLn2();
    int i14 = dfpField10.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField10.newDfp((byte)1, (byte)1);
    boolean b18 = dfp8.unequal(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-1.4364930992104121d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.984080039776643d));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.8213089503381826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014334545359499882d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.8330194288560129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.672644555779055d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test296"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(4);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("1.000000000000e-131068");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(4.66635758930102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08144330400872812d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp("0.6931471805599453");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.6502365368537399d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.571829179613725d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test300"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test301"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test302"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)Double.NaN, (java.lang.Number)(-1), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException3.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1)+ "'", number4.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1)+ "'", number6.equals((-1)));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.8189894035458565E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.5322278515583595d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.42672278843071454d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test305"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.9981131296929316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9981131296929316d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test306"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(3.464757906675863d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 227066.37417190935d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test307"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.4178288f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.4178288f);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test308"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    java.lang.String str16 = dfp15.toString();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "2."+ "'", str16.equals("2."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test309"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp13.newInstance((-1L));
    int i19 = dfp18.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test310"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.negate();
    boolean b18 = dfp17.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp17.add(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.negate();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test311"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.0d, 0.9550289954405572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.9999999999999996d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.1954722787602457E11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test313"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(4);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9474760790464252d, 1452108352);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-21.836558978921115d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test316"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.7434696682338923d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test317"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-460162166));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test318"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)3L);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    java.lang.String str4 = notStrictlyPositiveException1.toString();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)0.9066337415456365d, (java.lang.Number)14, true);
    notStrictlyPositiveException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: 3 is smaller than, or equal to, the minimum (0)"+ "'", str4.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: 3 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9522368628825547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9758262462562455d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test320"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    dfpField9.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp("-1.");
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getZero();
    dfpField9.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField9.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test321"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getTwo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.newInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test322"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-23), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test323"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField43.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField43.getLn2();
    int i47 = dfpField43.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField43.newDfp((byte)1, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp36.newInstance(dfp50);
    java.lang.String str52 = dfp50.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "Infinity"+ "'", str52.equals("Infinity"));

  }

  @Test
  public void test324() {}
// Defects4J: flaky method
//   @Test
//   public void test324() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test324"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     float f1 = mersenneTwister0.nextFloat();
//     mersenneTwister0.setSeed(2);
//     mersenneTwister0.setSeed(1);
//     float f6 = mersenneTwister0.nextFloat();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f1 == 0.1376208f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f6 == 0.417022f);
// 
//   }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test325"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-4.39804625E12f), 0.8138794944691565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-4.39804599E12f));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test326"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(6066107800746772669L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.6599699992763212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8706455767997178d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test328"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    mersenneTwister1.setSeed(100L);
    mersenneTwister1.clear();
    mersenneTwister1.setSeed((-2));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test329"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.9576594803233847d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test330"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-1L));
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0019203836877835d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test331"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)10.889427165514313d, (java.lang.Number)8923.592847586888d, true);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(6.474096703800918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.811179182186334d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test333"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp49.multiply(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp49.multiply(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test334"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test335"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(14);
    boolean b4 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(307624777816188685L);
    mersenneTwister1.setSeed(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test336"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long2 = mersenneTwister1.nextLong();
    int[] i_array3 = null;
    mersenneTwister1.setSeed(i_array3);
    mersenneTwister1.setSeed(6461);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test337"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.getZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.newInstance();
    boolean b13 = dfp11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test338"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-1));
    float f2 = mersenneTwister1.nextFloat();
    boolean b3 = mersenneTwister1.nextBoolean();
    int i4 = mersenneTwister1.nextInt();
    mersenneTwister1.setSeed((-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.78306735f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1223252363));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test339"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(8.40951223162266d, 74.71267383702919d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11208627800810016d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test340"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance((byte)3);
    boolean b13 = dfp10.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test341"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn5();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test342"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.floor();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getSqr2();
    int i22 = dfp21.getRadixDigits();
    boolean b23 = dfp21.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField25.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode28 = dfpField25.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField25.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField25.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array32 = dfpField25.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField25.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp21.nextAfter(dfp34);
    boolean b36 = dfp17.greaterThan(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test343"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.27836934f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test344"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9999999982429385d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test345"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    int i18 = dfp17.intValue();
    int i19 = dfp17.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test346"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.ceil();
    java.lang.Object obj5 = null;
    boolean b6 = dfp4.equals(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(8923.592847586888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.789601113781066d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test348"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    dfpField1.setIEEEFlagsBits(42);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(81.02846845413774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7943007849915809d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test350"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField10.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField10.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode13);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp(20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test351"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test352"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.2143494404080452d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getESplit();
    dfpField1.setIEEEFlags(1452108352);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp24.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.newInstance();
    boolean b29 = dfp14.unequal(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.power10K(100);
    boolean b32 = dfp28.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.newInstance(100);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.abs();
    org.apache.commons.math3.dfp.DfpField dfpField46 = dfp45.getField();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField46.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField46.getSqr3Reciprocal();
    dfpField46.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField46.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField46.getPi();
    double[] d_array54 = dfp53.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField55 = dfp53.getField();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp53.power10K(283);
    double d58 = dfp57.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp34.multiply(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp60 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp11, dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test354"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.89286f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.89286f);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test355"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10K(65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test356"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    boolean b29 = dfp27.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.remainder(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp45.add(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp32.multiply(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp52.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp19.dotrap((-1), "", dfp27, dfp52);
    double[] d_array56 = dfp27.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp27.power10K((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp9.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.abs();
    org.apache.commons.math3.dfp.Dfp dfp61 = new org.apache.commons.math3.dfp.Dfp(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.583601776505442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-78.08748323235851d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test358"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-8322921849960486353L), (-3598271731399162694L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test359"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-922155416));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test360"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.abs();
    org.apache.commons.math3.dfp.DfpField dfpField29 = dfp28.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = org.apache.commons.math3.dfp.Dfp.copysign(dfp17, dfp28);
    int i31 = dfp30.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test361"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)20267358, (java.lang.Number)(-335465128), false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test362"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)3L);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException1.getSuppressed();
    boolean b4 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b5 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test363"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp18.reciprocal();
    int i24 = dfp18.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 4);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test364"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.remainder(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp21.remainder(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp8.newInstance(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.getOne();
    boolean b39 = dfp38.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp43.remainder(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp40.newInstance(dfp58);
    int i60 = dfp58.classify();
    boolean b61 = dfp58.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test365"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance(1961060856);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance("1.000000000000e-131068");
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField18.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp16.add(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp22 = new org.apache.commons.math3.dfp.Dfp(dfp16);
    boolean b23 = dfp7.unequal(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test366"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Number number6 = numberIsTooSmallException3.getMin();
    java.lang.String str7 = numberIsTooSmallException3.toString();
    java.lang.Number number8 = numberIsTooSmallException3.getMin();
    java.lang.Number number9 = numberIsTooSmallException3.getArgument();
    java.lang.Number number10 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str7.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10.0f+ "'", number8.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test367"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    double d11 = dfp9.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.ceil();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.newInstance();
    int i14 = dfp9.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0002687227914362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0001343523704385d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test369"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.setIEEEFlags(17714);
    int i18 = dfpField11.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(16480.093072147058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.5448831893094142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5722487112153594d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test372"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-22.0d), 1.8189894035458565E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test373"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.417022f, 8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.41702202f);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test374"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.sqrt();
    boolean b7 = dfp5.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test375"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1823289175);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1823289175);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test376"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    boolean b23 = dfp22.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test377"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test378"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn2();
    boolean b11 = dfp6.greaterThan(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp12 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = dfp6.lessThan(dfp12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test379"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.6792144059386354d, 0.0787171938695459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.904043667018984d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test380"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test381"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp40.classify();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.multiply(6);
    boolean b44 = dfp43.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test382"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, 30.223389f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test383"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    double d5 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(17714);
    mersenneTwister1.clear();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0000679992263888d));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    boolean b23 = dfp22.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.abs();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test385"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.newInstance();
    boolean b22 = dfp7.unequal(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    double d34 = dfp32.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp21.multiply(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp37 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(4.528132206263837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9830726929622784d));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test387"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    dfpField1.setIEEEFlagsBits(16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test388"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-460162166));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.9066337415456365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test390"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test391"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.rint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp16 = dfp8.newInstance((-1204179834679007461L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test392"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.6695733029391548d, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000002d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test393"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-1L));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array7 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    mersenneTwister5.setSeed(i_array7);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    mersenneTwister1.setSeed(i_array7);
    boolean b12 = mersenneTwister1.nextBoolean();
    boolean b13 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test394"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test395"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.1920933E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test396"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.018794640035859032d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test397"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1622881917046652287L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1622881917046652287L);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(180.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.141592653589793d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test399"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test400"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    int i9 = dfp5.log10K();
    int i10 = dfp5.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test401"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    int i28 = dfp27.classify();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp6, dfp11, dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.abs();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.power10((-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test402"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp37.remainder(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.abs();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = org.apache.commons.math3.dfp.Dfp.copysign(dfp52, dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField67.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField67.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp34, dfp65, dfp70);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp70.multiply(625644691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(5.298292365610484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test404"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    int i6 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test405"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test406"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.getZero();
    boolean b12 = dfp5.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-4.022999556250751d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test408"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.multiply(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField28.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField28.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp26, dfp34);
    int i36 = dfp26.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 4);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test409"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.18925696464827219d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test410"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.999359442880977d), 0.19867362755409293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test411"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(9.860761315262648E-32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test412"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(6480552030174106886L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.2739708591402482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2739708591402482d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test414"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    dfpField1.setIEEEFlags((-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test415"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getOne();
    boolean b42 = dfp41.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp41);
    int i44 = dfp8.intValue();
    boolean b45 = dfp8.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp8.power10(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.6352722591438961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test417"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test418"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.power10K(100);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.newInstance();
    boolean b21 = dfp19.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test419"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.037013393874765974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.296475435227583d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test420"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(11013.232874703393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.306943613116555d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test421"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.nextAfter(dfp9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test422"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    boolean b36 = dfp2.unequal(dfp35);
    double[] d_array37 = dfp2.toSplitDouble();
    boolean b38 = dfp2.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test423"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.7075472925031877E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7075472925048473E-6d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.5574077186360549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.44302272025226513d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test426"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.abs();
    double d29 = dfp27.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.ceil();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp16.multiply(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.power10(32760);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test427"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.multiply(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField28.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField28.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp26, dfp34);
    boolean b36 = dfp26.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(3.2960186254166874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4882065753799014d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test429"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.newDfp(21.13085514417626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test431"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test432"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.setIEEEFlags(17714);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField24.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField24.getPi();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp28.power10K(65);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz33 = dfpField32.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField32.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.dotrap(20, "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp28, dfp34);
    boolean b36 = dfp28.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test433() {}
// Defects4J: flaky method
//   @Test
//   public void test433() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test433"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     long long2 = mersenneTwister0.nextLong();
//     mersenneTwister0.setSeed((-8395423546819117721L));
//     int i6 = mersenneTwister0.nextInt(5);
//     mersenneTwister0.setSeed((-231712574));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 298461117371137988L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test434"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.3877787807814457E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-38.816242111356935d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getPiSplit();
    dfpField1.setIEEEFlagsBits(25);
    int i11 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test437"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    int i18 = dfp17.intValue();
    boolean b19 = dfp17.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test438"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp("-1.");
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test439"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.0594630943592835d, 1.0000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4568672033886099d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.44302272025226513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.35357400057791916d));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test441"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(1);
    int i4 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test442"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.475323568126127E141d, 5.088887490341627E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.339308481603184E-16d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.9567682178915782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 54.818780857440565d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.4515826336473349d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7672067420879233d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test445"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    boolean b5 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    byte[] byte_array12 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister7.nextBytes(byte_array12);
    mersenneTwister1.nextBytes(byte_array12);
    int[] i_array16 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    mersenneTwister1.setSeed(i_array16);
    double d19 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.7650730050315234d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test446"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)2.718281828459045d);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException6.getContext();
    java.lang.Number number8 = numberIsTooSmallException6.getMin();
    java.lang.Number number9 = numberIsTooSmallException6.getArgument();
    java.lang.Number number10 = numberIsTooSmallException6.getMin();
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    java.lang.Number number12 = numberIsTooSmallException6.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10.0f+ "'", number8.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100L+ "'", number12.equals(100L));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test447"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode3 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode3);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.07942814949218328d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.650308230743412d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test449"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test450"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test451"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test452"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp10.floor();
    int i22 = dfp10.intValue();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp10.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp24 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp7, dfp10);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp7.newInstance("2.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test453"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(3.7779238f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test454"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9913289158005999d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test455"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    int[] i_array6 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    mersenneTwister1.setSeed(i_array6);
    int i10 = mersenneTwister1.nextInt(9982);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 6429);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-4.400901285509918E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test457"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test458"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(50261036, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(7.450580596923828E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 0.78306735f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.78306735f);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(3.280283503528852E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test462"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getTwo();
    boolean b18 = dfp17.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp17.newInstance((byte)10, (byte)10);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.abs();
    double d33 = dfp31.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.ceil();
    java.lang.String str35 = dfp34.toString();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.power10(4);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.divide(100);
    int i41 = dfp40.log10K();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp17.nextAfter(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "0."+ "'", str35.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.01393696982428965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013936518679578017d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test464"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-2.3841856E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.3841856E-7f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test465"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.newInstance((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test466"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextDouble();
    int i4 = mersenneTwister1.nextInt(100);
    long long5 = mersenneTwister1.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister7.setSeed(14);
    byte[] byte_array13 = new byte[] { (byte)0, (byte)1, (byte)10 };
    mersenneTwister7.nextBytes(byte_array13);
    mersenneTwister1.nextBytes(byte_array13);
    boolean b16 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1129943035738381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-1204179834679007461L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test467"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(5805985991905072931L, (-2489572767475743101L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2489572767475743101L));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test468"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(9982);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test469"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.7951100577651008d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test470"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 1.5707963267948968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test471"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2();
    int i6 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((byte)0, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test472"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test473"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.5434049467914646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9963084532681645d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test474"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz6 = dfpField5.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField5.getSqr3();
    int i11 = dfpField5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField5.getRoundingMode();
    dfpField5.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField5.setRoundingMode(roundingMode16);
    dfpField1.setRoundingMode(roundingMode16);
    dfpField1.setIEEEFlagsBits((-127));
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField1.newDfp("org.apache.commons.math3.exception.NotStrictlyPositiveException: 3 is smaller than, or equal to, the minimum (0)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test475() {}
// Defects4J: flaky method
//   @Test
//   public void test475() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test475"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     boolean b1 = mersenneTwister0.nextBoolean();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i3 = mersenneTwister0.nextInt((-49));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
// 
//   }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test476"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField6.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField6.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp((-984476064));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test477"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-922155416));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.776356839400252E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948948d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.6352722591438961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7372210013266967d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test480"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    boolean b34 = dfp32.strictlyPositive();
    boolean b35 = dfp32.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test481"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    boolean b19 = dfp17.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp22.multiply(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp9.dotrap((-1), "", dfp17, dfp42);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp17.newInstance((-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test482"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp9.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test483"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable7, (java.lang.Number)1.0517455865774519d);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test484"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-0.624445147849558d), (java.lang.Number)(-0.18925696464827219d), false);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test485"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    int i4 = dfp3.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test486"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test487"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.0842022E-19f, 1351811455);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test488"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getZero();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getZero();
    boolean b20 = dfp19.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(8.488967212558322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0399441876117d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test490"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(17714);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 17714);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test491"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-1L));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array7 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    mersenneTwister5.setSeed(i_array7);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    mersenneTwister1.setSeed(i_array7);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    int i13 = mersenneTwister12.nextInt();
    int i14 = mersenneTwister12.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 625644691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1973661107);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test492"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    java.lang.String str16 = dfp14.toString();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.ceil();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp14.newInstance((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-1."+ "'", str16.equals("-1."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.583601776505442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.11208627800810016d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.42451759467098804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43738373590149654d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test496"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp7.remainder(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp7.newInstance(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.floor();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp4.nextAfter(dfp33);
    int i39 = dfp38.log10();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance("0.6931471805599453");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test497"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    int i7 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test498"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.9511872732601234d, 0.7364680865252391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7364680865252391d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test499"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp37.remainder(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.abs();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = org.apache.commons.math3.dfp.Dfp.copysign(dfp52, dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField67.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField67.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp34, dfp65, dfp70);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp70.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField80 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField80.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp78.add(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp81.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp84.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.abs();
    org.apache.commons.math3.dfp.DfpField dfpField87 = dfp86.getField();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp86.rint();
    boolean b89 = dfp86.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp75.add(dfp86);
    boolean b91 = dfp72.greaterThan(dfp90);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp72.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test500"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    dfpField11.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);

  }

}
