
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.08733523f, (-7.610125138662287d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.08733522f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(15227406, (-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15227406);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(3466294351118228098L, (-8850283826025278262L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3466294351118228098L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.5490183000451396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp8.rint();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.ceil();
    org.apache.commons.math3.dfp.Dfp dfp16 = new org.apache.commons.math3.dfp.Dfp(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.4364930992104121d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.401015770098701d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(5.427412097892979E140d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.461516400515182E124d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp(dfp13);
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(50261036, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 50261036);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp40.classify();
    int i42 = dfp40.classify();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(6.474096703800918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999952389799076d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-1));
    float f2 = mersenneTwister1.nextFloat();
    boolean b3 = mersenneTwister1.nextBoolean();
    float f4 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.78306735f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.71518934f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp();
    java.lang.String str4 = dfp3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "0."+ "'", str4.equals("0."));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.010693431f, 0.5139433f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.010693431f);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField11.getPiSplit();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField11.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz12 = dfpField11.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField11.newDfp(46.286839135077386d);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz25 = dfpField24.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField24.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField24.newDfp(43);
    int i29 = dfp28.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp28.negate();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.divide(7);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    boolean b34 = dfp22.lessThan(dfp32);
    boolean b35 = dfp9.unequal(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.5389285114331122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5691645703149253d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    double d5 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed(17714);
    double d8 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0000679992263888d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9388722664827092d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.getOne();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.9055055666283139d, false);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.9802322387695312E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1823289175);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.01849111929993686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.8752288940032076d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7040210662244449d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    double d11 = dfp9.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp9, dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.add(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp45.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp35.remainder(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp22.newInstance(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.getOne();
    boolean b53 = dfp52.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp19.add(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.DfpField dfpField76 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfpField76.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField79 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp77.add(dfp80);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp80.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp83.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp70.remainder(dfp83);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp57.newInstance(dfp83);
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp83.floor();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp87.ceil();
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp88.newInstance(42);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp88.newInstance((-1.198042424967129d));
    org.apache.commons.math3.dfp.Dfp dfp93 = org.apache.commons.math3.dfp.Dfp.copysign(dfp52, dfp88);
    boolean b94 = dfp93.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == true);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = new org.apache.commons.math3.dfp.Dfp(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.newDfp((byte)(-1), (byte)100);
    int i23 = dfp22.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    java.lang.Object obj35 = null;
    boolean b36 = dfp34.equals(obj35);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp22.nextAfter(dfp34);
    boolean b38 = dfp22.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp22.newInstance((byte)3);
    boolean b42 = dfp40.equals((java.lang.Object)false);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp5.nextAfter(dfp40);
    int i44 = dfp40.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8322921849960486353L);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.011263294672638589d, 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.000010571807927d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.394071178252861d), 0.6458314172387976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3940711782528609d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.89286005f, 1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.89286005f);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.negate();
    boolean b18 = dfp17.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(0.0d);
    dfpField11.setIEEEFlagsBits(1351811455);
    org.apache.commons.math3.dfp.Dfp[] dfp_array22 = dfpField11.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array22);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.add(dfp6);
    double d8 = dfp7.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp7.multiply(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp47.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp50.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp44.remainder(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp55 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp41, dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp58.remainder(dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField73.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp71.add(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp74.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp58.multiply(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp78.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp80.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp50.multiply(dfp82);
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField85.getSqr2();
    boolean b87 = dfp82.equals((java.lang.Object)dfpField85);
    org.apache.commons.math3.dfp.Dfp[] dfp_array88 = dfpField85.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException89 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array88);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp36.add(dfp39);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp39.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp42.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.abs();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp44.getField();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField45.newDfp((byte)(-1), (byte)100);
    int i49 = dfp48.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp48.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array53 = dfpField52.getLn5Split();
    dfpField52.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField52.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array57 = dfpField52.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField52.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp32, dfp50, dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz62 = dfpField61.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array63 = dfpField61.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField61.getTwo();
    boolean b65 = dfp64.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.power10(14);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.getZero();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp59.add(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp68.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.02468268298976815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4142135623730634d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.7617069895381967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2);
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.323821402423001d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.32976574295615946d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    dfpField9.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp("-1.");
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getZero();
    dfpField9.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField9.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField9.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlags(32768);
    int i19 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField18.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode21 = dfpField18.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField18.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField18.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField18.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField18.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    double d34 = dfp33.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp40.add(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp37.remainder(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp57.add(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp60.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp63.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp50.remainder(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp37.newInstance(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp33.multiply(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp73.add(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp76.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp70.remainder(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp81 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp67, dfp76);
    int i82 = dfp76.log10();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp26.newInstance(dfp76);
    boolean b84 = dfp26.isZero();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp14.divide(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.022821786f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.022821786f);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(9.102436636488859d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1588674892608888d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.6478320773058626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.clear();
    int i4 = mersenneTwister1.nextInt(43);
    mersenneTwister1.clear();
    double d6 = mersenneTwister1.nextDouble();
    long long7 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.6711556356902328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7600914431415758679L);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getSqr2Split();
    int i13 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.multiply(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.6293945E-6f, 7423.0312f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.7617069895381967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField8.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    boolean b28 = dfp20.unequal(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField8.newDfp(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp6.newInstance(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField32.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode35 = dfpField32.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField32.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField32.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.nextAfter(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    byte[] byte_array6 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister1.nextBytes(byte_array6);
    mersenneTwister1.clear();
    double d9 = mersenneTwister1.nextGaussian();
    int i10 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.21832965848010036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1954711869));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.getOne();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)8);
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Number number12 = numberIsTooSmallException10.getMin();
    java.lang.Number number13 = numberIsTooSmallException10.getMin();
    java.lang.String str14 = numberIsTooSmallException10.toString();
    mathIllegalArgumentException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    boolean b16 = numberIsTooSmallException10.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext17 = numberIsTooSmallException10.getContext();
    java.lang.Number number18 = numberIsTooSmallException10.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = numberIsTooSmallException10.getContext();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext24 = numberIsTooSmallException23.getContext();
    java.lang.Number number25 = numberIsTooSmallException23.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext26 = numberIsTooSmallException23.getContext();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)numberIsTooSmallException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.0f+ "'", number12.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str14.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 10.0f+ "'", number18.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 100L+ "'", number25.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.power10(1);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField26.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp24.divide(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.abs();
    org.apache.commons.math3.dfp.DfpField dfpField43 = dfp42.getField();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField43.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField43.getSqr3Reciprocal();
    dfpField43.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField43.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp50 = new org.apache.commons.math3.dfp.Dfp(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp56.add(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp59.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp53.remainder(dfp59);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp53.floor();
    double[] d_array65 = dfp64.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.negate();
    boolean b69 = dfp68.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz72 = dfpField71.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField71.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp73.rint();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp73.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp68.add(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp75.negate();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp28.dotrap(6, "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp50, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp28.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    int i14 = dfp2.intValue();
    int i15 = dfp2.classify();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz18 = dfpField17.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField17.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField17.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField17.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField17.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp26.remainder(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp26.floor();
    int i38 = dfp26.intValue();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp26.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp23, dfp26);
    boolean b41 = dfp2.unequal(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp23.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp43.power10(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.999999999999998d));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-5.200811851583505E-50d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.200811851583505E-50d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn2();
    boolean b9 = dfp8.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp17.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp23 = new org.apache.commons.math3.dfp.Dfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp26.remainder(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.add(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp39.remainder(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp26.newInstance(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.getOne();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp56.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp6.dotrap(40, "0.", dfp23, dfp56);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp56.power10K(1351811455);
    boolean b63 = dfp56.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.floor();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp36.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp45.remainder(dfp51);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp58.add(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp65.add(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp68.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp58.remainder(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp45.newInstance(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.getOne();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp75.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp75.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp25.dotrap(40, "0.", dfp42, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp16, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField11.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField11.newDfp(0.9981131296929316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.newDfp((byte)3);
    boolean b17 = dfp16.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.multiply(dfp25);
    double[] d_array27 = dfp25.toSplitDouble();
    boolean b28 = dfp25.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.3235780930645504d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3235780930645504d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.getTwo();
    boolean b15 = dfp13.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz7 = dfpField6.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField6.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = org.apache.commons.math3.dfp.Dfp.copysign(dfp4, dfp11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.power10K(625644691);
    org.apache.commons.math3.dfp.Dfp dfp15 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = dfp12.lessThan(dfp15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(94L, (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(101.609437912448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 102.0d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1622881917046652287L), (-3598271731399162694L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3598271731399162694L));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister3.setSeed(4);
    boolean b6 = mersenneTwister3.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long9 = mersenneTwister8.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array12 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(i_array12);
    mersenneTwister10.setSeed(i_array12);
    mersenneTwister8.setSeed(i_array12);
    mersenneTwister3.setSeed(i_array12);
    mersenneTwister3.setSeed(1);
    boolean b19 = mersenneTwister3.nextBoolean();
    int[] i_array21 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    mersenneTwister23.clear();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b27 = mersenneTwister26.nextBoolean();
    byte[] byte_array31 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister26.nextBytes(byte_array31);
    mersenneTwister23.nextBytes(byte_array31);
    mersenneTwister3.nextBytes(byte_array31);
    mersenneTwister1.nextBytes(byte_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array31);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-59.97034451182489d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.961032195166064d));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)9.1278553E-4f);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.2246467991473532E-16d), (java.lang.Number)(-0.48564067996642346d), true);
    java.lang.Number number8 = numberIsTooSmallException7.getMin();
    boolean b9 = numberIsTooSmallException7.getBoundIsAllowed();
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    boolean b11 = numberIsTooSmallException7.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-0.48564067996642346d)+ "'", number8.equals((-0.48564067996642346d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance((-40));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long7 = mersenneTwister6.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array10 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(i_array10);
    mersenneTwister8.setSeed(i_array10);
    mersenneTwister6.setSeed(i_array10);
    mersenneTwister1.setSeed(i_array10);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(i_array10);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 1.09952054E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.09952054E-10f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.1101475354515684E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1101475354515684E-16d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.936138998631535d, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.651667651393716E-15d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.8352557385141606d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(2.9802322E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.2280046854754854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1), (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((-1961060856));
    boolean b15 = dfp8.greaterThan(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance((byte)3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(12);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.47224048f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp49.multiply(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField84 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getSqr2();
    boolean b86 = dfp81.equals((java.lang.Object)dfpField84);
    org.apache.commons.math3.dfp.Dfp[] dfp_array87 = dfpField84.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField84.getTwo();
    boolean b89 = dfp88.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp88.multiply(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.013936518679578017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013936067543628727d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode15 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode15);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.020909784894253523d, 0.9327595326832584d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.017997973389238545d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.71518934f, (java.lang.Number)1.0019203836877835d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.71518934f+ "'", number4.equals(0.71518934f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.newInstance("1.414213562373");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    double d3 = mersenneTwister1.nextGaussian();
    byte[] byte_array4 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array4);
    double d6 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(8);
    mersenneTwister1.setSeed(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.48564067996642346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5448831893094142d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-1.6076076345771912d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6076076345771912d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-59.97034451182489d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-60L));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp("0.");
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("1.414213562373");
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp43.newInstance(779.820594653974d);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp43.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3();
    int i13 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(1L);
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)8);
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Number number12 = numberIsTooSmallException10.getMin();
    java.lang.Number number13 = numberIsTooSmallException10.getMin();
    java.lang.String str14 = numberIsTooSmallException10.toString();
    mathIllegalArgumentException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    boolean b16 = numberIsTooSmallException10.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array17 = numberIsTooSmallException10.getSuppressed();
    java.lang.Throwable[] throwable_array18 = numberIsTooSmallException10.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.0f+ "'", number12.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str14.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.27836934f, (java.lang.Number)16480.093072147058d, false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.01608067113985079d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8706455767997178d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp22.remainder(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp22.newInstance((byte)100, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp46.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp17.dotrap(0, "", dfp22, dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.abs();
    java.lang.String str53 = dfp52.toString();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField55.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField55.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz61 = dfpField60.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField60.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField60.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.rint();
    boolean b66 = dfp58.unequal(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.getZero();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp52.add(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "1.732050807569"+ "'", str53.equals("1.732050807569"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999998f);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.9517176f, (-1841834327));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn2();
    boolean b11 = dfp6.greaterThan(dfp10);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    boolean b16 = dfp6.equals((java.lang.Object)dfp15);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp6.getOne();
    java.lang.String str18 = dfp6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "1."+ "'", str18.equals("1."));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)0, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.9999000049995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.03384308313875409d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9390658295609682d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    int i4 = dfp3.getRadixDigits();
    boolean b5 = dfp3.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField7.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode10 = dfpField7.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField7.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField7.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField7.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp3.nextAfter(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.subtract(dfp18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9055055666283139d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1043554417048367d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.newInstance((-1.4364930992104121d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-3.2960186254166874d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3();
    boolean b13 = dfp12.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.negate();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlags(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField1.getLn5Split();
    int i20 = dfpField1.getIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(74.71267383702919d, 608120.1598464776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 608120.1598464776d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(2.542779496795471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(3.7779236f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.7779236f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-13027.083186423411d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getSqr3();
    int i16 = dfpField10.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField10.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.7207788279921518d, (-0.4939699263497089d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7207788279921518d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = numberIsTooSmallException11.getContext();
    java.lang.Number number13 = numberIsTooSmallException11.getArgument();
    java.lang.String str14 = numberIsTooSmallException11.toString();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Throwable[] throwable_array16 = numberIsTooSmallException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100L+ "'", number13.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str14.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-27.925268031909273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp5 = dfp2.newInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.8762642f, 2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8762642f);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(14);
    boolean b4 = mersenneTwister1.nextBoolean();
    mersenneTwister1.clear();
    int i6 = mersenneTwister1.nextInt();
    int i8 = mersenneTwister1.nextInt(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-335465128));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.remainder(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp21.remainder(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp8.newInstance(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.getOne();
    boolean b39 = dfp38.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp43.remainder(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp40.newInstance(dfp58);
    boolean b60 = dfp40.positiveOrNull();
    boolean b61 = dfp40.isZero();
    int i62 = dfp40.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(13856);
    mersenneTwister1.setSeed(32760);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)1);
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp11.newInstance(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.14566925852788648d, true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp15);
    boolean b19 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp15.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1970163199820858683L), 866093411895251492L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 866093411895251492L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(4.299833208249899E-39d, 325.05337544611564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 325.05337544611564d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.1007893020346884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9508777675478092d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getOne();
    int i5 = dfp4.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(6.849551609784912E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 6849551609785L);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(33737.16955943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 33737L);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    dfpField1.setIEEEFlagsBits(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.newDfp(1.5574077186360549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.7699967014838744d, (-0.203703689391439d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.203703689391439d));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp5.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp5.getOne();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister13.setSeed(4);
    boolean b16 = mersenneTwister13.nextBoolean();
    int[] i_array18 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister19 = new org.apache.commons.math3.random.MersenneTwister(i_array18);
    mersenneTwister13.setSeed(i_array18);
    boolean b21 = dfp5.equals((java.lang.Object)i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField10.getLn5Split();
    dfpField10.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField10.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.newDfp("0.");
    boolean b19 = dfp7.greaterThan(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.DfpField dfpField3 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz4 = dfpField3.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField3.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField3.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.abs();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField13.newDfp(100.0d);
    boolean b20 = dfp11.unequal(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp21.multiply(15227406);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.multiply(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField28.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField28.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField28.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp35 = org.apache.commons.math3.dfp.Dfp.copysign(dfp26, dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.power10(14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(5.893211791272327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4740702190443615d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    boolean b17 = dfp9.unequal(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz20 = dfpField19.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField19.getESplit();
    boolean b22 = dfp15.equals((java.lang.Object)dfp_array21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp15.newInstance((-4));
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.abs();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField36.getSqr3Reciprocal();
    dfpField36.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField36.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField36.getPi();
    double[] d_array44 = dfp43.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp43.getField();
    boolean b46 = dfp15.unequal(dfp43);
    int i47 = dfp15.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(20);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.17317675869262292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.17147605672168878d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.newDfp("1.732050807569");
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField22.getLn5Split();
    dfpField22.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField22.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField22.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField22.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField22.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField22.getPi();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp31.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz38 = dfpField37.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array39 = dfpField37.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField37.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField37.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField37.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array44 = dfpField37.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField37.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp31.multiply(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance((byte)3, (byte)10);
    boolean b51 = dfp20.lessThan(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.6453392481543753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9066337415456365d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((-0.21832965848010036d));
    java.lang.Class clazz10 = dfpField1.getRuntimeClass();
    dfpField1.setIEEEFlags(625644691);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp2.power10(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.newInstance((byte)10);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.newInstance("1.000000000000e-131068");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    boolean b5 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.power10(14);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz10 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn2();
    boolean b19 = dfp14.greaterThan(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz22 = dfpField21.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getLn2();
    boolean b24 = dfp14.equals((java.lang.Object)dfp23);
    boolean b25 = dfp4.greaterThan(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)Float.NEGATIVE_INFINITY, false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.7627471740390226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.abs();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz18 = dfpField17.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField17.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField17.getE();
    boolean b21 = dfp20.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp24.remainder(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp37.remainder(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp24.newInstance(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.getOne();
    boolean b55 = dfp54.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp56 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp20, dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp15.multiply(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp15.power10K((-47));
    boolean b60 = dfp8.unequal(dfp59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp62 = dfp8.newInstance(5805985991905072931L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.08733522f, 0.47224045f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.47224045f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    dfpField1.setIEEEFlagsBits(65);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(9.306943613116555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1183827677917399d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-8395423546819117721L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8395423546819117721L);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.5666762265595442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4489563220885692d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.02182568980423394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2794619335330499d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-280369966));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(100);
    double d5 = mersenneTwister1.nextGaussian();
    double d6 = mersenneTwister1.nextDouble();
    double d7 = mersenneTwister1.nextDouble();
    int i8 = mersenneTwister1.nextInt();
    int i9 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.5401476965874874d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.42451759467098804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8447761259765154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 20267358);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 673068980);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.negate();
    int i14 = dfp13.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp18.sqrt();
    double[] d_array24 = dfp23.toSplitDouble();
    boolean b25 = dfp23.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.07847219752147647d, 1.198042424967129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06540691790929713d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.6409253f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)9.1278553E-4f);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.POSITIVE_INFINITY, 0.4351374f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    boolean b14 = dfp2.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp2.ceil();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp2.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    boolean b23 = dfp22.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance((byte)1);
    java.lang.String str27 = dfp26.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "1."+ "'", str27.equals("1."));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((-656048793));
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField8.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp(2.718281828459045d);
    boolean b13 = dfp12.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.floor();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance(0L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getZero();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getOne();
    boolean b20 = dfp19.strictlyNegative();
    int i21 = dfp19.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7207788279921518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0560338839800332d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(16.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9837201236695444d, 0.9067550430324094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9852268686214202d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.8039090862928145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6369573713732608d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.43556039994478735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.49294979525206595d, (java.lang.Number)5.427412097892979E140d, false);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp11.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp15.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz23 = dfpField22.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.rint();
    boolean b26 = dfp24.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp27 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp20, dfp24);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField1.newDfp(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField1.newDfp(65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(20);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp19.remainder(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp32.add(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp19.multiply(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp39.power10(1);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField43.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp41.divide(dfp45);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp57.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.abs();
    org.apache.commons.math3.dfp.DfpField dfpField60 = dfp59.getField();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField60.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField60.getSqr3Reciprocal();
    dfpField60.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField60.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp67 = new org.apache.commons.math3.dfp.Dfp(dfp66);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp73.add(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp76.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp70.remainder(dfp76);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp70.floor();
    double[] d_array82 = dfp81.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp81.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp84.negate();
    boolean b86 = dfp85.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField88 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz89 = dfpField88.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField88.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp90.rint();
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp90.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp85.add(dfp92);
    org.apache.commons.math3.dfp.Dfp dfp94 = dfp92.negate();
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp45.dotrap(6, "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp67, dfp92);
    org.apache.commons.math3.dfp.DfpField dfpField96 = dfp92.getField();
    org.apache.commons.math3.dfp.Dfp dfp98 = dfp92.newInstance((-127));
    org.apache.commons.math3.dfp.Dfp dfp99 = dfp15.newInstance(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp99);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(12);
    boolean b9 = dfp8.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.62440443f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.62440443f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(7.4505806E-9f, 0.47224045f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.47224045f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.767178536493216d, 0.6317429541539469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7671785364932159d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getSqr2();
    dfpField11.setIEEEFlagsBits(6);
    dfpField11.setIEEEFlagsBits(1351811455);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField11.newDfp(3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    int i9 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 4);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.getOne();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp31.power10((-280369966));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getTwo();
    boolean b18 = dfp17.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp17.newInstance((byte)10, (byte)10);
    boolean b22 = dfp21.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.14566922f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.1456692f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5491952739106885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 46.286839135077514d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp37.remainder(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.abs();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = org.apache.commons.math3.dfp.Dfp.copysign(dfp52, dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField67.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField67.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp34, dfp65, dfp70);
    boolean b72 = dfp34.strictlyPositive();
    java.lang.String str73 = dfp34.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "1."+ "'", str73.equals("1."));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(50261036);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getPi();
    java.lang.Class clazz5 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz5);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getZero();
    dfpField11.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    java.lang.String str7 = dfp6.toString();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "3.141592653589793238462643383279502884197169399375105820974944592307816406286208998628034825342117"+ "'", str7.equals("3.141592653589793238462643383279502884197169399375105820974944592307816406286208998628034825342117"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    dfpField1.setIEEEFlagsBits(6);
    int i16 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    dfpField1.setIEEEFlagsBits(65);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getSqr2();
    dfpField1.setIEEEFlags(1961060856);
    dfpField1.setIEEEFlags(93740670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp28.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.add(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp38.remainder(dfp44);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp38.multiply(dfp54);
    boolean b59 = dfp58.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp60.abs();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp60.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp35.subtract(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp35.rint();
    boolean b65 = dfp64.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField8.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.newDfp(0);
    boolean b14 = dfp6.greaterThan(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp6.rint();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-4.904043667018984d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-280.9810046680474d));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    double d11 = dfp9.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField14.getE();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    org.apache.commons.math3.dfp.Dfp dfp19 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp9, dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.add(dfp45);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp45.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp35.remainder(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp22.newInstance(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.getOne();
    boolean b53 = dfp52.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp19.add(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp52.newInstance(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(14);
    mersenneTwister1.setSeed(42);
    int i6 = mersenneTwister1.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister8.setSeed(4);
    boolean b11 = mersenneTwister8.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long14 = mersenneTwister13.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array17 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    mersenneTwister15.setSeed(i_array17);
    mersenneTwister13.setSeed(i_array17);
    mersenneTwister8.setSeed(i_array17);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    mersenneTwister1.setSeed(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1608637542);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3Reciprocal();
    dfpField1.setIEEEFlags(6429);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1961060856), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9206163415662993d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.179893043800523d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1452108352);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1452108352);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.5722487112153594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7564712229922295d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    int i5 = dfp4.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 11);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-16.0d), 4.022999556250751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09199822500300314d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField7.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField7.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField19.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance(1.5629268405323513d);
    boolean b27 = dfp22.strictlyNegative();
    boolean b28 = dfp13.greaterThan(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp5.divide(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getTwo();
    boolean b12 = dfp11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(216.31006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.5629268405323513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4911459472622024d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.7951100577651008d), 0.6458314172387976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7951100577651008d));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException3.getSuppressed();
    java.lang.Number number7 = numberIsTooSmallException3.getArgument();
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooSmallException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException3.getContext();
    boolean b11 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.9837201236695444d, (java.lang.Number)1.034422275695508d, false);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException15);
    java.lang.Number number17 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100L+ "'", number7.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 10.0f+ "'", number17.equals(10.0f));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    int i55 = dfp49.log10();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz58 = dfpField57.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array59 = dfpField57.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField57.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp60.floor();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp49.subtract(dfp61);
    boolean b63 = dfp62.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp62.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField21.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField21.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField21.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField30.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode33 = dfpField30.getRoundingMode();
    dfpField21.setRoundingMode(roundingMode33);
    dfpField11.setRoundingMode(roundingMode33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode33);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.41782883f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.41782886f);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-10.090869597830737d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.003303157165442862d), 15227406);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    boolean b19 = dfp17.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp22.remainder(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp22.multiply(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp42.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp9.dotrap((-1), "", dfp17, dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.abs();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp55.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp55.newInstance(1L);
    int i61 = dfp60.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.add(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp67.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.abs();
    org.apache.commons.math3.dfp.DfpField dfpField73 = dfp72.getField();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.rint();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp72.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp76.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp60.newInstance(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp42.multiply(dfp60);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp79.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode9);
    java.lang.Class clazz11 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3Reciprocal();
    boolean b13 = dfp12.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    double d11 = dfp9.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.ceil();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.newInstance();
    boolean b14 = dfp9.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    boolean b15 = dfp14.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.4351374f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    int i3 = dfp2.classify();
    int i4 = dfp2.intValue();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField6.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField6.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField6.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp15.remainder(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp15.multiply(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.power10(1);
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField39.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp37.divide(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp12.multiply(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp2.newInstance(dfp37);
    double[] d_array45 = dfp44.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32760);
    mersenneTwister1.clear();
    double d3 = mersenneTwister1.nextDouble();
    boolean b4 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed((-51));
    mersenneTwister1.setSeed((-335465128));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    int i9 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getTwo();
    int i8 = dfp7.log10K();
    int i9 = dfp7.log10();
    java.lang.String str10 = dfp7.toString();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "2."+ "'", str10.equals("2."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.776356839400252E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-33.96421184743732d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    dfpField1.setIEEEFlags((-48));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);

  }

  @Test
  public void test254() {}
// Defects4J: flaky method
//   @Test
//   public void test254() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     double d2 = mersenneTwister0.nextGaussian();
//     mersenneTwister0.setSeed(10L);
//     int[] i_array6 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
//     mersenneTwister0.setSeed(i_array6);
//     double d10 = mersenneTwister0.nextGaussian();
//     int i12 = mersenneTwister0.nextInt(32760);
//     int i13 = mersenneTwister0.nextInt();
//     int i15 = mersenneTwister0.nextInt(20267358);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.46535524732937145d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.7650730050315234d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 13856);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 750534796);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 15293634);
// 
//   }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(17714);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getSqr2Split();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp((-1622881917046652287L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.reciprocal();
    double d14 = dfp13.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    boolean b4 = dfp3.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp3.floor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp6.newInstance((byte)(-1), (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp10.rint();
    double[] d_array12 = dfp10.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.6409253f);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(6);
    double d2 = mersenneTwister1.nextDouble();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long5 = mersenneTwister4.nextLong();
    double d6 = mersenneTwister4.nextGaussian();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister((-127));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b11 = mersenneTwister10.nextBoolean();
    byte[] byte_array15 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister10.nextBytes(byte_array15);
    mersenneTwister8.nextBytes(byte_array15);
    mersenneTwister4.nextBytes(byte_array15);
    mersenneTwister1.nextBytes(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8928601584952485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.21832965848010036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(1452108352);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.newDfp(7.608074915706214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(779.820594653974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.204458278123152d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.2827090693591872d, 81.0000000000459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2827090693591874d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getTwo();
    boolean b14 = dfp13.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    boolean b11 = dfp10.isZero();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.1964228521445702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19770836083957033d);

  }

  @Test
  public void test268() {}
// Defects4J: flaky method
//   @Test
//   public void test268() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     float f1 = mersenneTwister0.nextFloat();
//     mersenneTwister0.setSeed(2);
//     mersenneTwister0.setSeed(1);
//     double d6 = mersenneTwister0.nextDouble();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f1 == 0.031407356f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.4170220046815991d);
// 
//   }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp49.add(dfp52);
    boolean b54 = dfp52.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp44.dotrap((-1), "", dfp52, dfp77);
    java.lang.Object obj81 = null;
    boolean b82 = dfp80.equals(obj81);
    boolean b83 = dfp34.equals((java.lang.Object)b82);
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField85.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode88 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField85.setRoundingMode(roundingMode88);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField85.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.Dfp.copysign(dfp34, dfp90);
    boolean b92 = dfp90.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.4E-45f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getTwo();
    boolean b18 = dfp17.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp17.newInstance((byte)10, (byte)10);
    double d22 = dfp21.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    int i11 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp2.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.abs();
    org.apache.commons.math3.dfp.DfpField dfpField34 = dfp33.getField();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.rint();
    boolean b36 = dfp33.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp22.add(dfp33);
    boolean b38 = dfp2.greaterThan(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz41 = dfpField40.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array42 = dfpField40.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField40.getE();
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp2.add(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.4911459472622024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-2.3841858E-7f), 0.1376208f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.1376208f);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    boolean b33 = dfp28.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.052810073f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.052810077f);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.4245175f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(7.936838537690753E-15d, 0.33208396471179163d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.936838537690753E-15d);

  }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     float f1 = mersenneTwister0.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister2.clear();
//     double d4 = mersenneTwister2.nextGaussian();
//     mersenneTwister2.setSeed(10L);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array9 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     mersenneTwister7.setSeed(i_array9);
//     mersenneTwister2.setSeed(i_array9);
//     mersenneTwister0.setSeed(i_array9);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f1 == 0.9162452f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 0.5927614589842256d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array9);
// 
//   }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.7699967014838744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9317490375928021d));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.8039090862928148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014030860442508834d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    double[] d_array10 = dfp8.toSplitDouble();
    int i11 = dfp8.log10();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField13.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField13.getPi();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp17.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField21 = dfp20.getField();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp24.remainder(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp24.floor();
    boolean b36 = dfp20.unequal(dfp24);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp8.newInstance(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    java.lang.Class clazz5 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-0.3101688857239333d));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.power10((-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.4E-45f), 0.052810073f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.0542244931515516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4676257067445369d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp(6849551609785L);
    org.apache.commons.math3.dfp.Dfp dfp13 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = dfp12.lessThan(dfp13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.020912833079736133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02113303873592847d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.332370295606118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-2.3841858E-7f), 4.295002E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-2.3841858E-7f));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.7075472925031877E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7075472925031877E-6d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-8352090748493643067L), 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8352090748493643067L));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp19.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.6130931513588759d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1939028720930127d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    boolean b5 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    byte[] byte_array12 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister7.nextBytes(byte_array12);
    mersenneTwister1.nextBytes(byte_array12);
    int[] i_array16 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    mersenneTwister1.setSeed(i_array16);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister19 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    long long20 = mersenneTwister19.nextLong();
    boolean b21 = mersenneTwister19.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(42);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.newInstance((-1.198042424967129d));
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.multiply(14);
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField41.getPi();
    boolean b44 = dfp43.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz47 = dfpField46.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp48.rint();
    boolean b50 = dfp48.negativeOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField54.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField54.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array59 = dfpField54.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField54.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp63.add(dfp66);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp66.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.abs();
    org.apache.commons.math3.dfp.DfpField dfpField72 = dfp71.getField();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField72.newDfp((byte)(-1), (byte)100);
    int i76 = dfp75.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp75.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField79 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfpField79.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField82 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField82.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp80.add(dfp83);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp83.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp86.newInstance();
    java.lang.Object obj88 = null;
    boolean b89 = dfp87.equals(obj88);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp75.nextAfter(dfp87);
    boolean b91 = dfp75.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp48.dotrap(0, "0.", dfp60, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp93 = org.apache.commons.math3.dfp.Dfp.copysign(dfp43, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp94 = org.apache.commons.math3.dfp.Dfp.copysign(dfp37, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp94.abs();
    org.apache.commons.math3.dfp.Dfp dfp97 = dfp94.newInstance(0.016080671211539093d);
    double d98 = dfp94.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == (-1.198042424967d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.1376208f, number1, true);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((-656048793));
    int i7 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(588.8421424082297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.7627471740390226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0547708326731249d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(93740670);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.30525331849356435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.953770852149466d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-13027.083186423411d), 0.9067550430324094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long2 = mersenneTwister1.nextLong();
    mersenneTwister1.setSeed(0L);
    double d5 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0553194731804223d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.5640575650482884E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000122313804d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp11.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp15.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz23 = dfpField22.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField22.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.rint();
    boolean b26 = dfp24.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp27 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp20, dfp24);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField1.newDfp(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz31 = dfpField30.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField30.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.rint();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz36 = dfpField35.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array37 = dfpField35.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField35.getZero();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField35.getPi();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp39.floor();
    double d41 = dfp40.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp40.floor();
    boolean b43 = dfp33.equals((java.lang.Object)dfp40);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp28.nextAfter(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(8.409512231622658d);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp35.newInstance("hi!");
    boolean b38 = dfp37.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(10.426409717249353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(16.6840229153568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.084608049171523d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    boolean b5 = dfp4.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp8.remainder(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp21.add(dfp24);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp21.remainder(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp8.newInstance(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.getOne();
    boolean b39 = dfp38.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp4, dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp43.remainder(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp40.newInstance(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.power10(0);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Number number12 = numberIsTooSmallException10.getArgument();
    java.lang.String str13 = numberIsTooSmallException10.toString();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.Throwable[] throwable_array15 = numberIsTooSmallException3.getSuppressed();
    java.lang.Number number16 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100L+ "'", number12.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str13.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10.0f+ "'", number16.equals(10.0f));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(13027.083186423411d, 8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13027.083186423411d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.639250659273754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2803322456588189d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.floor();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp36.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp45.remainder(dfp51);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp58.add(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp65.add(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp68.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp58.remainder(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp45.newInstance(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.getOne();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp75.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp75.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp25.dotrap(40, "0.", dfp42, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp16, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField11.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(0.42416926581630204d);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp81.newInstance(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    int i3 = dfp2.classify();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp7.remainder(dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp7.newInstance(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.floor();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.ceil();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.newInstance(42);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp38.newInstance((-1.198042424967129d));
    boolean b43 = dfp2.unequal(dfp42);
    int i44 = dfp42.intValue();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp42.newInstance((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.power10K((-922155416));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)5.78398940098701d, (java.lang.Number)(-0.09479306263693572d), true);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp41 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b42 = dfp40.greaterThan(dfp41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2);
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField11.getLn5Split();
    dfpField11.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField11.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getSqr3();
    int i26 = dfpField20.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField20.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode28 = dfpField20.getRoundingMode();
    dfpField11.setRoundingMode(roundingMode28);
    dfpField1.setRoundingMode(roundingMode28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp(1973661107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-2.3841856E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp11.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField17.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField17.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp5.multiply(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp25.remainder(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp25.floor();
    int i37 = dfp25.intValue();
    int i38 = dfp25.classify();
    boolean b39 = dfp22.lessThan(dfp25);
    boolean b40 = dfp25.isInfinite();
    boolean b41 = dfp25.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.09952054E-10f, 0.9327595326832586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0995206E-10f);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.getZero();
    int i7 = dfp5.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1961060856));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)4.2351647E-22f, (java.lang.Number)0.45306587f, false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((-656048793));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.21434944040804518d, (-280369966));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-3.466711037884725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.0d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.add(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp29.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp23.remainder(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp36.add(dfp39);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp46.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp36.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp23.newInstance(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp49.floor();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.ceil();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp20.nextAfter(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn5Split();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(307624777816188685L);
    int i2 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-749446557));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getTwo();
    boolean b18 = dfp17.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp19 = new org.apache.commons.math3.dfp.Dfp(dfp17);
    double[] d_array20 = dfp19.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    double d28 = dfp27.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp31.remainder(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp57.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp44.remainder(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp31.newInstance(dfp57);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp27.multiply(dfp57);
    int i62 = dfp57.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField64.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField64.getLn2();
    int i68 = dfpField64.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField64.newDfp((byte)1, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp57.newInstance(dfp71);
    boolean b73 = dfp19.greaterThan(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((byte)3, (byte)0);
    org.apache.commons.math3.dfp.DfpField dfpField8 = dfp7.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.016080671211539093d, (-38.816242111356935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 38.81624544228184d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-59.45723239700902d));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.9999952389799076d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.543075039676237d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    boolean b5 = mersenneTwister1.nextBoolean();
    double d6 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5077076611540343d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField10.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField10.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode13);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.newInstance(100);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.1046316295284884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    boolean b8 = dfp7.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.negate();
    int i10 = dfp7.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 65);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    java.lang.Number number7 = numberIsTooSmallException3.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = numberIsTooSmallException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooSmallException3.getContext();
    boolean b10 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.String str11 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100L+ "'", number6.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0f+ "'", number7.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str11.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    java.lang.Class clazz9 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField37.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField37.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.floor();
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz45 = dfpField44.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField44.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField44.getSqr3();
    int i50 = dfpField44.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField44.getE();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp42.subtract(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp51.abs();
    boolean b54 = dfp35.greaterThan(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-4));
    boolean b8 = dfp7.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.add(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp19.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField25.newDfp(16);
    boolean b31 = dfp13.greaterThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp7.multiply(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp13.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    int i4 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(2.47859127706984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test351() {}
// Defects4J: flaky method
//   @Test
//   public void test351() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     float f1 = mersenneTwister0.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d4 = mersenneTwister3.nextGaussian();
//     mersenneTwister3.setSeed((-1L));
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array9 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     mersenneTwister7.setSeed(i_array9);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     mersenneTwister3.setSeed(i_array9);
//     mersenneTwister0.setSeed(i_array9);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
//     double d16 = mersenneTwister15.nextDouble();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f1 == 0.7414998f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0019203836877835d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 0.14566925852788648d);
// 
//   }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.136670368662452d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    dfpField1.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.power10K(3);
    double[] d_array15 = dfp12.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(11.236841232452443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 37937.45084306045d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(9.290956021142534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4635775323982985d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(40);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(33737L);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-48));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    int i8 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.rint();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp5.getField();
    boolean b11 = dfp5.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.1376208f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array2 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(i_array2);
    mersenneTwister0.setSeed(i_array2);
    double d5 = mersenneTwister0.nextDouble();
    int i6 = mersenneTwister0.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.14566925852788648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1953896601);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(94L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 94L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(0.3809242241513128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(14);
    mersenneTwister1.setSeed(42);
    mersenneTwister1.setSeed(1961060856);
    mersenneTwister1.setSeed(0);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(325.05337544611564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.5629268405323513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp21.reciprocal();
    int i31 = dfp30.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 4);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(9.999999f, 0.052810073f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-456030941225144127L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 456030941225144127L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.3842507050922375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1211725798454664d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.abs();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField7.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getE();
    boolean b11 = dfp10.strictlyPositive();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp17.add(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp14.remainder(dfp20);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp27.remainder(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp14.newInstance(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.getOne();
    boolean b45 = dfp44.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp46 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp10, dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp5.multiply(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp44.multiply(93740670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.4549270116048707d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)Double.NaN);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1), (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((-1961060856));
    boolean b15 = dfp8.greaterThan(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getTwo();
    boolean b17 = dfp14.isInfinite();
    boolean b18 = dfp14.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-15.999999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9576594803233851d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp9.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.rint();
    boolean b20 = dfp18.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp21 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp14, dfp18);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp14.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.32039206711803636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1382098234014522d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.99988334885413d, 0.8039090862928148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8936193690952776d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getOne();
    boolean b42 = dfp41.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp49.add(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp52.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp46.remainder(dfp52);
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp59.add(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp62.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp46.multiply(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp46.newInstance((byte)1, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp43.add(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.7075472925048473E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7075472925056772E-6d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField13.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.rint();
    boolean b17 = dfp15.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.newInstance(3L);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField22.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField22.getLn2();
    int i26 = dfpField22.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField22.newDfp((byte)1, (byte)1);
    java.lang.Class clazz30 = dfpField22.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField22.newDfp((byte)2);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.negate();
    boolean b34 = dfp18.greaterThan(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp33.newInstance(42);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.newInstance((-1.198042424967129d));
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.multiply(14);
    org.apache.commons.math3.dfp.DfpField dfpField40 = dfp39.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField40.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)33739.0d, (java.lang.Number)10.0d, true);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister0.clear();
    mersenneTwister0.setSeed(6);
    int i5 = mersenneTwister0.nextInt(10);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d8 = mersenneTwister7.nextGaussian();
    mersenneTwister7.setSeed((-1L));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array13 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister(i_array13);
    mersenneTwister11.setSeed(i_array13);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(i_array13);
    mersenneTwister7.setSeed(i_array13);
    mersenneTwister0.setSeed(i_array13);
    double d19 = mersenneTwister0.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.14566925852788648d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp18.multiply(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp18.power10K((-2));
    java.lang.String str27 = dfp18.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "1.414213562373"+ "'", str27.equals("1.414213562373"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    int[] i_array6 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    mersenneTwister1.setSeed(i_array6);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    int i10 = mersenneTwister9.nextInt();
    boolean b11 = mersenneTwister9.nextBoolean();
    int[] i_array15 = new int[] { 0, 10, 1 };
    mersenneTwister9.setSeed(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 625644691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed((-8322921849960486353L));
    boolean b7 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.2666769020366389d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2731837791632457d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.5574077246549023d, (java.lang.Number)10.426409717249351d, true);
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException3.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.020909784894253523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance(0.513943343190751d);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp22.newInstance((byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.rint();
    boolean b5 = dfp3.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.newInstance(283);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.0586489207281093d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.1218783442905005d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 98758.9555064138d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp10 = new org.apache.commons.math3.dfp.Dfp(dfp9);
    boolean b11 = dfp9.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField8.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode11 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField8.setRoundingMode(roundingMode11);
    dfpField1.setRoundingMode(roundingMode11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    boolean b20 = dfp19.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp19.power10(14);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp14.divide(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    int i3 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.power10(53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    int i18 = dfp17.intValue();
    java.lang.String str19 = dfp17.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "1.414213562373"+ "'", str19.equals("1.414213562373"));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField1.newDfp((-656048793));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp49.multiply(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField84 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getSqr2();
    boolean b86 = dfp81.equals((java.lang.Object)dfpField84);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField84.newDfp(5L);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField84.newDfp("1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn5();
    boolean b10 = dfp9.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp11 = new org.apache.commons.math3.dfp.Dfp(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.8762642f, 0.010693431f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8762642f);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-0.011183296809844508d));
    boolean b6 = dfp5.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.7763568394002503E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002503E-15d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.5722487112153594d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.5173093805617248d), (-0.394071178252861d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8248993716467503d));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(180.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.198497031265826d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.newInstance((byte)(-1));
    int i19 = dfp18.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getSqr2();
    dfpField11.setIEEEFlagsBits((-984476064));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField19.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField15.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance(1.5629268405323513d);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp7.dotrap((-48), "0.", dfp12, dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);

  }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     double d2 = mersenneTwister0.nextGaussian();
//     mersenneTwister0.setSeed(10L);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array7 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
//     mersenneTwister5.setSeed(i_array7);
//     mersenneTwister0.setSeed(i_array7);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-0.7162099219812404d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array7);
// 
//   }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.4777703f, 0.47224048f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.47224048f);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.0337269167514302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(81.02846845413774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.394800555320761d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    byte[] byte_array6 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister1.nextBytes(byte_array6);
    mersenneTwister1.clear();
    double d9 = mersenneTwister1.nextGaussian();
    float f10 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.21832965848010036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.54488313f);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.6090665325956754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8387142176519757d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6928476487816017d), 3.0351814940636936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.0351814940636936d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-1841834327));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)2, (byte)1);
    dfpField1.setIEEEFlagsBits((-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp(4);
    java.lang.Class clazz11 = dfpField1.getRuntimeClass();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.4351374f, (-4.39804599E12f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.4351374f));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp6.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp7.divide(7);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp12.remainder(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.abs();
    org.apache.commons.math3.dfp.DfpField dfpField39 = dfp38.getField();
    org.apache.commons.math3.dfp.Dfp dfp40 = org.apache.commons.math3.dfp.Dfp.copysign(dfp27, dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp56.add(dfp59);
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp63.add(dfp66);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp66.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp56.remainder(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp43.newInstance(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp69.floor();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp69.newInstance(43);
    boolean b76 = dfp27.unequal(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp69.abs();
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp7.subtract(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp78.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.08733522f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.4722405f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(5.893211791272327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4596709335774647d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)199.99499987499382d, (java.lang.Number)8.4703285E-22f, true);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.980232283178453E-8d, 0.9567682178915782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.114894733591762E-8d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance(15227406);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     long long2 = mersenneTwister0.nextLong();
//     float f3 = mersenneTwister0.nextFloat();
//     mersenneTwister0.setSeed((-32767));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 5075866701500917345L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f3 == 0.67958415f);
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.4142135623730634d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException2.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notStrictlyPositiveException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    double d3 = mersenneTwister1.nextGaussian();
    byte[] byte_array4 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array4);
    double d6 = mersenneTwister1.nextDouble();
    // The following exception was thrown during execution in test generation
    try {
      int i8 = mersenneTwister1.nextInt((-1223252363));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.48564067996642346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5448831893094142d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.4644414981180716d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0000000122313804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000061156902d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.46535524732937145d, (java.lang.Number)(-0.05217381685754826d), false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.037013393874765974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.120711254479463d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.2280046854754854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8011064250590046d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.power10K(100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp16.power10(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9999999982429385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.175201190932514d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 0.9999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999998f);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    java.lang.Class clazz19 = dfpField11.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField11.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)8);
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Number number12 = numberIsTooSmallException10.getMin();
    java.lang.Number number13 = numberIsTooSmallException10.getMin();
    java.lang.String str14 = numberIsTooSmallException10.toString();
    mathIllegalArgumentException6.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.String str16 = numberIsTooSmallException10.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = numberIsTooSmallException20.getContext();
    java.lang.String str22 = numberIsTooSmallException20.toString();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)numberIsTooSmallException20);
    java.lang.Number number24 = numberIsTooSmallException20.getArgument();
    java.lang.Throwable[] throwable_array25 = numberIsTooSmallException20.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.0f+ "'", number12.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str14.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str16.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str22.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 100L+ "'", number24.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    mersenneTwister1.setSeed(100L);
    double d6 = mersenneTwister1.nextDouble();
    int i8 = mersenneTwister1.nextInt(42);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister10.setSeed(4);
    mersenneTwister10.setSeed(100L);
    int[] i_array15 = null;
    mersenneTwister10.setSeed(i_array15);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array19 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(i_array19);
    mersenneTwister17.setSeed(i_array19);
    mersenneTwister10.setSeed(i_array19);
    mersenneTwister1.setSeed(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0787171938695459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.2960186254166874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp43.power10K(9982);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp43.newInstance((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp49.multiply(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField84 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getSqr2();
    boolean b86 = dfp81.equals((java.lang.Object)dfpField84);
    org.apache.commons.math3.dfp.Dfp dfp87 = dfpField84.newDfp();
    java.lang.Class clazz88 = dfpField84.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp89 = dfpField84.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp(4);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.setSeed((-1961060856));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long7 = mersenneTwister6.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array10 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(i_array10);
    mersenneTwister8.setSeed(i_array10);
    mersenneTwister6.setSeed(i_array10);
    mersenneTwister1.setSeed(i_array10);
    mersenneTwister1.setSeed(6480552030174106886L);
    int i17 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5401476965874874d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1907536459));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    double d23 = dfp22.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp26.remainder(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.add(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp39.remainder(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp26.newInstance(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp22.multiply(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp15.subtract(dfp52);
    boolean b58 = dfp8.unequal(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(2687123488734686643L);
    // The following exception was thrown during execution in test generation
    try {
      int i3 = mersenneTwister1.nextInt((-1841834327));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    dfpField9.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp("-1.");
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array16 = dfpField9.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array16);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    boolean b17 = dfp9.unequal(dfp15);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz20 = dfpField19.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array21 = dfpField19.getESplit();
    boolean b22 = dfp15.equals((java.lang.Object)dfp_array21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp15.newInstance((-4));
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.abs();
    org.apache.commons.math3.dfp.DfpField dfpField36 = dfp35.getField();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField36.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField36.getSqr3Reciprocal();
    dfpField36.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField36.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField36.getPi();
    double[] d_array44 = dfp43.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField45 = dfp43.getField();
    boolean b46 = dfp15.unequal(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz49 = dfpField48.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField48.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.rint();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp50.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    double d60 = dfp59.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp66.add(dfp69);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp69.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp63.remainder(dfp69);
    org.apache.commons.math3.dfp.DfpField dfpField75 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfpField75.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField78 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp76.add(dfp79);
    org.apache.commons.math3.dfp.DfpField dfpField82 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField82.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfpField85.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp83.add(dfp86);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfp86.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp89.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp91 = dfp76.remainder(dfp89);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp63.newInstance(dfp89);
    org.apache.commons.math3.dfp.Dfp dfp93 = dfp59.multiply(dfp89);
    int i94 = dfp93.classify();
    int i95 = dfp93.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp96 = dfp93.negate();
    org.apache.commons.math3.dfp.Dfp dfp97 = dfp50.subtract(dfp96);
    org.apache.commons.math3.dfp.Dfp dfp98 = dfp15.multiply(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp98);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.20296241f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField3.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Number number6 = numberIsTooSmallException3.getMin();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1L, (java.lang.Number)0.7347870238615708d, true);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.String str12 = numberIsTooSmallException10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 1 is smaller than the minimum (0.735)"+ "'", str12.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 1 is smaller than the minimum (0.735)"));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.setIEEEFlags(17714);
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField11.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField11.getPiSplit();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField11.getLn2();
    dfpField11.setIEEEFlagsBits(20267358);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField11.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0594630943592835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8848216963518905d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.sqrt();
    boolean b10 = dfp9.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.051507934761342765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-984476064));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 984476064);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField10.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp8.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = new org.apache.commons.math3.dfp.Dfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp8.reciprocal();
    boolean b16 = dfp15.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode9);
    java.lang.Class clazz11 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.1046316295284884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0181124804897994d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    int i5 = dfp4.log10K();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField7.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getLn2();
    int i11 = dfpField7.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)1, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp17.multiply(dfp33);
    boolean b38 = dfp37.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp37.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.newInstance((byte)1);
    boolean b42 = dfp37.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp14.divide(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp4.multiply(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz47 = dfpField46.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField46.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp52.remainder(dfp58);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp65.add(dfp68);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp72.add(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp75.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp78.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp65.remainder(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp52.newInstance(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp78.floor();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp49.nextAfter(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp49.getZero();
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp37.subtract(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    int i4 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(6.059252718165021E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.059252718165021E-16d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.2151279059928317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7995014419420642d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField3 = dfp2.getField();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField3.newDfp(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField3.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp(46.286839135077386d);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.03703030581869956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.037038773973092264d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-27.925268031909273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.450924934844462E-13d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp28.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.rint();
    org.apache.commons.math3.dfp.Dfp dfp37 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField11.getPiSplit();
    dfpField11.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField11.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4011402999402525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3814890076087818d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-3598271731399162694L));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.014342272109928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1974541067073796d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(9.102436636488859d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2085421399324137d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.remainder(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField10.setRoundingMode(roundingMode16);
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField10.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField10.newDfp(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp8.newInstance(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(4);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.subtract(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    boolean b5 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.power10(14);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp36.floor();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp36.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp36.divide(2);
    boolean b45 = dfp7.lessThan(dfp36);
    int i46 = dfp7.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 4);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(dfp5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.961032195166064d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9610321951660639d));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.3854491735749803d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3678999727634463d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    boolean b5 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    byte[] byte_array12 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister7.nextBytes(byte_array12);
    mersenneTwister1.nextBytes(byte_array12);
    int[] i_array16 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    mersenneTwister1.setSeed(i_array16);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister19 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    double d20 = mersenneTwister19.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.7650730050315234d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.3877787807814457E-17d, 283);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1567957333720512E68d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.8936193690952776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8041167204599866d);

  }

}
