
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest6 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test001"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.newInstance(6066107800746772669L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test002"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    double d3 = mersenneTwister1.nextGaussian();
    byte[] byte_array4 = new byte[] {  };
    mersenneTwister1.nextBytes(byte_array4);
    int i7 = mersenneTwister1.nextInt(4);
    boolean b8 = mersenneTwister1.nextBoolean();
    long long9 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.48564067996642346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 7815051614634499795L);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test003"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((-0.21832965848010036d));
    java.lang.Class clazz10 = dfpField1.getRuntimeClass();
    dfpField1.setIEEEFlags(625644691);
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.9237668243211833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.4355603999447874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.955772639866492d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3006322420239034d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.003303157165442862d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.003297707743563272d));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.09199822500300314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test009"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.getSqr3();
    int i14 = dfpField8.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp6.subtract(dfp15);
    int i17 = dfp6.log10K();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp6.newInstance("2.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.4676257067445369d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test011"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn10();
    int i5 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 11);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test012"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(588.8246891157098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.381633572868994d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test013"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    double d28 = dfp26.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.ceil();
    java.lang.String str30 = dfp29.toString();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp15.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.add(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.newInstance();
    boolean b49 = dfp34.unequal(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp34.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp52 = org.apache.commons.math3.dfp.Dfp.copysign(dfp15, dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField54.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField54.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField54.getPi();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField54.newDfp(1);
    int i64 = dfp63.log10();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp34.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.add(dfp71);
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField77 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfpField77.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp75.add(dfp78);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp78.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp81.newInstance();
    boolean b83 = dfp68.unequal(dfp82);
    boolean b84 = dfp65.lessThan(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0."+ "'", str30.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.694106911714525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2507203741539088d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test015"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)6.651667651393716E-15d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test016"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp("1.414213562373");
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getESplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test017"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    int i15 = dfp14.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getZero();
    boolean b17 = dfp16.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test018"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp6.add(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp3.remainder(dfp9);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp3.floor();
    double[] d_array15 = dfp14.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.negate();
    boolean b19 = dfp18.strictlyPositive();
    boolean b20 = dfp18.isZero();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp21 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.02182568980423394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.021590919313363134d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test020"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.59284467f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.59284467f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test021"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.629396E-6f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629396E-6f);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test022"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp58.add(dfp61);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp61.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp64.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp51.remainder(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp51.newInstance((byte)100, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp69.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp48.subtract(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test023"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(62.183778907490975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.146047605353108d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test025"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.3854491735749803d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38544917357498026d));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test026"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.15671098f, 3.7779238f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.7779238f);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test027"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp36.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp47.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp47.getOne();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp36.subtract(dfp53);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp36.divide(dfp81);
    org.apache.commons.math3.dfp.Dfp dfp85 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    boolean b86 = dfp85.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test028"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test029"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-4));
    boolean b8 = dfp7.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.add(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp19.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField25.newDfp(16);
    boolean b31 = dfp13.greaterThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp7.multiply(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance((byte)0, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.ceil();
    boolean b37 = dfp35.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test030"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test031"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister0.clear();
    mersenneTwister0.setSeed(6);
    int i5 = mersenneTwister0.nextInt(10);
    int i7 = mersenneTwister0.nextInt(42);
    int[] i_array8 = null;
    mersenneTwister0.setSeed(i_array8);
    mersenneTwister0.setSeed(6480552030174106886L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test032"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp2.newInstance((byte)1, (byte)1);
    int i26 = dfp25.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-4));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test033"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    boolean b36 = dfp2.unequal(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField38.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField38.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField38.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.remainder(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.add(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp61.remainder(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp48.newInstance(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp74.floor();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp78.rint();
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp2, dfp45, dfp78);
    org.apache.commons.math3.dfp.DfpField dfpField81 = dfp78.getField();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfpField81.newDfp(673068980);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5491952739106885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.247630710345939d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test035"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    int i3 = dfp2.classify();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.add(dfp10);
    double d12 = dfp11.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp15.remainder(dfp21);
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp28.remainder(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp15.newInstance(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp11.multiply(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.remainder(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp45, dfp54);
    boolean b60 = dfp54.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp2.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp54.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField65.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField65.getLn5();
    boolean b69 = dfp68.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp54.nextAfter(dfp68);
    boolean b71 = dfp68.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test036"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.getTwo();
    boolean b18 = dfp17.isNaN();
    org.apache.commons.math3.dfp.Dfp dfp19 = new org.apache.commons.math3.dfp.Dfp(dfp17);
    double[] d_array20 = dfp19.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getLn5();
    boolean b25 = dfp21.unequal(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test037"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField19.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField19.getSqr3Reciprocal();
    dfpField19.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField19.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField19.getPi();
    double[] d_array27 = dfp26.toSplitDouble();
    org.apache.commons.math3.dfp.DfpField dfpField28 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.power10K(283);
    double d31 = dfp30.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test038"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2090815360, 9982);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 9982);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test039"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    int i4 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(944239.7790168133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 944240.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(6.849551609784912E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.849551609785E12d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test042"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test043"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.464757906675863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.289811900429338d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.7951100577651008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9264224747431684d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test046"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.47224054f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test047"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(984476064, (-749446557));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 984476064);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test048"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    float f3 = mersenneTwister1.nextFloat();
    int i4 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.5928446f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1223252363));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.30525331849356435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3007011605536297d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test050"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField20.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode23 = dfpField20.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField20.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.add(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp36.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp30.remainder(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp43.remainder(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp30.newInstance(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp59.getOne();
    boolean b61 = dfp60.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp62 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp27, dfp60);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp14.dotrap((-4), "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp18, dfp60);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp60.newInstance((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test051"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(43);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(4859.843262075024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.570590558844788d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test053"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-2.3841858E-7f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-2.3841858E-7f));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test054"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8138794944691566d, 11013.232874703395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8138794944691566d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test055"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(13856, (-984476064));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13856);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.1567957333720512E68d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test057"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test058"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test059"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test060"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.newInstance(1L);
    boolean b8 = dfp7.positiveOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getOne();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp7.nextAfter(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test061"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test062"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.4530659f, (-0.3839724354387525d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.45306587f);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test063"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test064"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-22.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.792456423065796E9d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.2151279059928317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test067"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getOne();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = null;
    dfpField1.setRoundingMode(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.6045499846672442d, 5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test069"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp17.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp23 = new org.apache.commons.math3.dfp.Dfp(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp26.remainder(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField41 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField41.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp39.add(dfp42);
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp52.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp39.remainder(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp26.newInstance(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.getOne();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp56.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp6.dotrap(40, "0.", dfp23, dfp56);
    int i61 = dfp6.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test070"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 1452108352);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test071"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1.6490605123312345d), (-749446557));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test072"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.6409253f, 1.5707962142597218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.64092535f);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test073"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(26796);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test074"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-280369966));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test075"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField1.getSqr3Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test076"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister0.clear();
    mersenneTwister0.setSeed((-1L));
    long long4 = mersenneTwister0.nextLong();
    long long5 = mersenneTwister0.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 402613113023623976L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 6236757884745972499L);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.2246467991473532E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test078"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    mersenneTwister1.setSeed(100L);
    int[] i_array6 = null;
    mersenneTwister1.setSeed(i_array6);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array10 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(i_array10);
    mersenneTwister8.setSeed(i_array10);
    mersenneTwister1.setSeed(i_array10);
    mersenneTwister1.setSeed(307624777816188685L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test079"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test080"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.185285827821984d, (java.lang.Number)(-59.97034451182489d), false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test081"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9474760790464252d, (-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.207639032955624E-16d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test082"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)4488.570107061011d, (java.lang.Number)0.9388722664827092d, true);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test083"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test084"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b2 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed(10L);
    boolean b5 = mersenneTwister1.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    byte[] byte_array12 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister7.nextBytes(byte_array12);
    mersenneTwister1.nextBytes(byte_array12);
    int i16 = mersenneTwister1.nextInt(32768);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array19 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(i_array19);
    mersenneTwister17.setSeed(i_array19);
    mersenneTwister17.setSeed(2687123488734686643L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister25.setSeed(14);
    byte[] byte_array31 = new byte[] { (byte)0, (byte)1, (byte)10 };
    mersenneTwister25.nextBytes(byte_array31);
    mersenneTwister17.nextBytes(byte_array31);
    mersenneTwister1.nextBytes(byte_array31);
    mersenneTwister1.setSeed((-456030941225144127L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 17714);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array31);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test085"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(1);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test086"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp79.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp49.multiply(dfp81);
    org.apache.commons.math3.dfp.DfpField dfpField84 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfpField84.getSqr2();
    boolean b86 = dfp81.equals((java.lang.Object)dfpField84);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfpField84.newDfp("-1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test087"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    boolean b28 = dfp13.unequal(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp38.add(dfp41);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp41.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp44.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp31.remainder(dfp44);
    boolean b47 = dfp13.unequal(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField49.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField49.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField49.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp62.add(dfp65);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp65.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp59.remainder(dfp65);
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField74 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField74.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp72.add(dfp75);
    org.apache.commons.math3.dfp.DfpField dfpField78 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfpField78.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField81 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfpField81.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp79.add(dfp82);
    org.apache.commons.math3.dfp.Dfp dfp85 = dfp82.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp86 = dfp85.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp87 = dfp72.remainder(dfp85);
    org.apache.commons.math3.dfp.Dfp dfp88 = dfp59.newInstance(dfp85);
    org.apache.commons.math3.dfp.Dfp dfp89 = dfp85.floor();
    org.apache.commons.math3.dfp.Dfp dfp90 = dfp89.rint();
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp13, dfp56, dfp89);
    org.apache.commons.math3.dfp.Dfp dfp92 = dfp89.floor();
    org.apache.commons.math3.dfp.Dfp dfp93 = dfpField1.newDfp(dfp92);
    org.apache.commons.math3.dfp.Dfp dfp95 = dfp92.newInstance(0.8936193690952776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp95);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test088"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)");
    double d6 = dfp5.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(9.204458278123152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3228247108864304d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(8.409512231622658d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4489.570107061011d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-59.45723239700902d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3183175472292512E25d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test092"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp24.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp26.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.remainder(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp45.add(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp32.multiply(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp48.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp29.add(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(33738.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.119527258299836d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test094"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    int i3 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test095"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)9.1278553E-4f);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.2246467991473532E-16d), (java.lang.Number)(-0.48564067996642346d), true);
    java.lang.Number number8 = numberIsTooSmallException7.getMin();
    boolean b9 = numberIsTooSmallException7.getBoundIsAllowed();
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    java.lang.Number number11 = notStrictlyPositiveException2.getArgument();
    boolean b12 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-0.48564067996642346d)+ "'", number8.equals((-0.48564067996642346d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9.1278553E-4f+ "'", number11.equals(9.1278553E-4f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9737901925290313d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test097"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.floor();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.ceil();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp41.newInstance();
    boolean b44 = dfp8.greaterThan(dfp43);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp47.add(dfp50);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp50.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp53.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp54.abs();
    double d56 = dfp54.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.ceil();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp54.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp59 = org.apache.commons.math3.dfp.Dfp.copysign(dfp8, dfp58);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp58.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp58.divide(10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test098"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz3 = dfpField2.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField2.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp4.rint();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField7 = dfp4.getField();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField7.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.6045499846672442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.638162626131724d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test100"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test101"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.84725165f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.84725165f);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test102"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.022821786f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.34135E-40f);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test103"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp28.add(dfp34);
    int i36 = dfp35.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp35.divide(16);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp38.power10((-984476064));
    boolean b41 = dfp40.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test104"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)");
    dfpField1.setIEEEFlagsBits(15227406);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(944240.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 944240.0000000001d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test106"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.4530659f, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.028316619f);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test107"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.power10(20267358);
    int i9 = dfp6.classify();
    boolean b10 = dfp6.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(3.280283503528852E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.280283385873181E-4d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test109"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    dfpField1.setIEEEFlags((-1961060856));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test110"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.power10K(32760);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.multiply(17714);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField16.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField16.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField16.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array23 = dfpField16.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp10.multiply(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp10.newInstance("Infinity");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test111"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.8999159007844795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-1.531816320127819d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test113"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField11.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getPi();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp15.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    double[] d_array20 = dfp18.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test114"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField9.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp13 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp7, dfp12);
    boolean b14 = dfp12.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.newInstance("1.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test115"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    double d2 = mersenneTwister1.nextDouble();
    float f3 = mersenneTwister1.nextFloat();
    mersenneTwister1.setSeed(2090815360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5434049467914646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.2783693f);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test116"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test117"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-749446557), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test118"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlags(17714);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test119"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.1954722787602457E11d, 5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1954722787602457E11d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test120"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz12 = dfpField11.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField11.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.getE();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3();
    boolean b16 = dfp9.equals((java.lang.Object)dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test121"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp50.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp37.remainder(dfp50);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfpField54.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp55.add(dfp58);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp61.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp62.abs();
    org.apache.commons.math3.dfp.DfpField dfpField64 = dfp63.getField();
    org.apache.commons.math3.dfp.Dfp dfp65 = org.apache.commons.math3.dfp.Dfp.copysign(dfp52, dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField67.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField67.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp71 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp34, dfp65, dfp70);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp70.sqrt();
    boolean b73 = dfp70.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test122"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.9999999f));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test123"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.4644414981180716d, (java.lang.Number)0.4515449934959426d, true);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5386853634254322d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test125"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp((byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.5389285114331122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5833729951063581d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test127"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(65, (-1954711869));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1954711869));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test128"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-48));
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-48)+ "'", number4.equals((-48)));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test129"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-1954711869));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1954711869);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test130"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.clear();
    int i4 = mersenneTwister1.nextInt(43);
    mersenneTwister1.setSeed(14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 42);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test131"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn2();
    boolean b11 = dfp6.greaterThan(dfp10);
    double[] d_array12 = dfp6.toSplitDouble();
    int i13 = dfp6.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp6.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test132"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test133"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp();
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test134"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.rint();
    boolean b5 = dfp3.negativeOrNull();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField9.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField9.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp24.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.abs();
    org.apache.commons.math3.dfp.DfpField dfpField27 = dfp26.getField();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField27.newDfp((byte)(-1), (byte)100);
    int i31 = dfp30.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp30.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp41.newInstance();
    java.lang.Object obj43 = null;
    boolean b44 = dfp42.equals(obj43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.nextAfter(dfp42);
    boolean b46 = dfp30.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp3.dotrap(0, "0.", dfp15, dfp30);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp47.newInstance(0.976260605764876d);
    org.apache.commons.math3.dfp.Dfp dfp50 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b51 = dfp49.unequal(dfp50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test135"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(1L);
    boolean b4 = mersenneTwister3.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister6.setSeed(14);
    byte[] byte_array12 = new byte[] { (byte)0, (byte)1, (byte)10 };
    mersenneTwister6.nextBytes(byte_array12);
    mersenneTwister3.nextBytes(byte_array12);
    mersenneTwister1.nextBytes(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.9067550430324093d, 16869.499985180373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16869.499985180373d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test137"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.power10K(42);
    boolean b6 = dfp5.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test138"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp11.remainder(dfp17);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp31.add(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp37.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp24.remainder(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp11.newInstance(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.getOne();
    boolean b42 = dfp41.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp43 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp8, dfp41);
    double[] d_array44 = dfp8.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test139"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getLn2();
    boolean b11 = dfp6.greaterThan(dfp10);
    double[] d_array12 = dfp6.toSplitDouble();
    int i13 = dfp6.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField15.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField15.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array20 = dfpField15.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField15.newDfp((byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp25.remainder(dfp31);
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp38.add(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp45.add(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp38.remainder(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp25.newInstance(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.floor();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp55.ceil();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp55.newInstance();
    boolean b58 = dfp22.greaterThan(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp68.abs();
    double d70 = dfp68.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp68.ceil();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp73 = org.apache.commons.math3.dfp.Dfp.copysign(dfp22, dfp72);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp72.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp6.multiply(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test140"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(21.602515616259552d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.552713678800501E-15d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.9237668243211833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test142"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test143"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32760);
    mersenneTwister1.clear();
    double d3 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(283);
    int i7 = mersenneTwister1.nextInt(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 7);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test144"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.71518934f, (java.lang.Number)1.0019203836877835d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.71518934f+ "'", number4.equals(0.71518934f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0019203836877835d+ "'", number5.equals(1.0019203836877835d));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test145"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(625644691, 1954711869);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 625644691);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test146"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-4));
    boolean b8 = dfp7.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField10.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.getTwo();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp16.add(dfp19);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp19.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp23.abs();
    org.apache.commons.math3.dfp.DfpField dfpField25 = dfp24.getField();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField25.newDfp(16);
    boolean b31 = dfp13.greaterThan(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp7.multiply(dfp13);
    boolean b33 = dfp7.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test147"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.abs();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.rint();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp(dfp15);
    boolean b18 = dfp17.strictlyPositive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test148() {}
// Defects4J: flaky method
//   @Test
//   public void test148() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test148"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
//     long long2 = mersenneTwister1.nextLong();
//     int[] i_array3 = null;
//     mersenneTwister1.setSeed(i_array3);
//     float f5 = mersenneTwister1.nextFloat();
//     mersenneTwister1.setSeed(33737L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == (-8322921849960486353L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f5 == 0.8997991f);
// 
//   }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test149"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8706455767997178d, (java.lang.Number)0.014334545359499882d, false);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test150"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.power10K(65);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField9 = dfp8.getField();
    dfpField9.setIEEEFlagsBits(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getZero();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getZero();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test151"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test152"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.1264105230453159d, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1181127.0406127651d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 1.0586489207281093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test154"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array12 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits(14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField1.newDfp("2.718281828459");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test155"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.192093E-7f, 50261036);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test156"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-4));
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test157"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.2417211171446274d, 1.1218783442905005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2417211171446274d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test158"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.07934486924560659d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0031494559295502d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test159"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-51), (java.lang.Number)7.105428E-15f, false);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(180.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test161"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.33208396471179163d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.32601384218319673d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test163"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test164"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getOne();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3();
    dfpField1.setIEEEFlagsBits((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test165"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-4));
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp17.abs();
    org.apache.commons.math3.dfp.DfpField dfpField19 = dfp18.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp18.rint();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp22.newInstance();
    int i24 = dfp23.classify();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp34.abs();
    double d36 = dfp34.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.ceil();
    java.lang.String str38 = dfp37.toString();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp23.nextAfter(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp7.divide(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "0."+ "'", str38.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test166"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-1.8248993716467503d), 1.5079955075497455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5079955075497455d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test167"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.42451759467098804d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test168"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test169"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp7.ceil();
    boolean b9 = dfp7.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.power10(750534796);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test170"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getESplit();
    int i8 = dfpField1.getIEEEFlags();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((-8352090748493643067L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test171"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn2Split();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp("1.609437912434");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test172"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    double d14 = dfp13.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp17.remainder(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp30.remainder(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp17.newInstance(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp13.multiply(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp6.subtract(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp43.newInstance(779.820594653974d);
    int i51 = dfp43.classify();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp43.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test173"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.016081364265231796d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    java.lang.Number number4 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test174"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp dfp8 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    org.apache.commons.math3.dfp.Dfp dfp9 = new org.apache.commons.math3.dfp.Dfp(dfp7);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp7.multiply(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test175"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test176"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getSqr2Split();
    java.lang.Class clazz4 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test177"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.multiply(65);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp6.power10K((-4));
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp6.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(5.198497031265826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.198497031265826d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test179"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 1.0019203836877835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test180"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.5318163201278192d));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test181"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    int[] i_array6 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    mersenneTwister1.setSeed(i_array6);
    int[] i_array9 = null;
    mersenneTwister1.setSeed(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test182"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getTwo();
    boolean b11 = dfp10.isInfinite();
    double[] d_array12 = dfp10.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.278369388163781d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.18269831313049545d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test185() {}
// Defects4J: flaky method
//   @Test
//   public void test185() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test185"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     long long2 = mersenneTwister0.nextLong();
//     float f3 = mersenneTwister0.nextFloat();
//     int[] i_array5 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(i_array5);
//     long long7 = mersenneTwister6.nextLong();
//     mersenneTwister6.clear();
//     float f9 = mersenneTwister6.nextFloat();
//     int[] i_array11 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(i_array11);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(i_array11);
//     mersenneTwister13.clear();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(0);
//     boolean b17 = mersenneTwister16.nextBoolean();
//     byte[] byte_array21 = new byte[] { (byte)1, (byte)0, (byte)100 };
//     mersenneTwister16.nextBytes(byte_array21);
//     mersenneTwister13.nextBytes(byte_array21);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     mersenneTwister25.setSeed(4);
//     boolean b28 = mersenneTwister25.nextBoolean();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister30 = new org.apache.commons.math3.random.MersenneTwister(0);
//     long long31 = mersenneTwister30.nextLong();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister32 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array34 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister35 = new org.apache.commons.math3.random.MersenneTwister(i_array34);
//     mersenneTwister32.setSeed(i_array34);
//     mersenneTwister30.setSeed(i_array34);
//     mersenneTwister25.setSeed(i_array34);
//     mersenneTwister25.setSeed(1);
//     boolean b41 = mersenneTwister25.nextBoolean();
//     int[] i_array43 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister44 = new org.apache.commons.math3.random.MersenneTwister(i_array43);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister45 = new org.apache.commons.math3.random.MersenneTwister(i_array43);
//     mersenneTwister45.clear();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister48 = new org.apache.commons.math3.random.MersenneTwister(0);
//     boolean b49 = mersenneTwister48.nextBoolean();
//     byte[] byte_array53 = new byte[] { (byte)1, (byte)0, (byte)100 };
//     mersenneTwister48.nextBytes(byte_array53);
//     mersenneTwister45.nextBytes(byte_array53);
//     mersenneTwister25.nextBytes(byte_array53);
//     mersenneTwister13.nextBytes(byte_array53);
//     mersenneTwister6.nextBytes(byte_array53);
//     mersenneTwister0.nextBytes(byte_array53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 2003809426298699771L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f3 == 0.1819495f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 2687123488734686643L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f9 == 0.45492697f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(byte_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long31 == (-8322921849960486353L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b41 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b49 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(byte_array53);
// 
//   }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.5386853634254322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7137524190130358d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test187"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)2, (java.lang.Number)3.0004421453084844d, true);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test188"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1.3235780930645504d), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-10.588624744516403d));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test189"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.4245175f, 0.1456692f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.4245175f);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test190"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp2.multiply(dfp18);
    boolean b23 = dfp22.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.ceil();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp37.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp40.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp27.remainder(dfp40);
    int i43 = dfp42.intValue();
    double d44 = dfp42.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp24.nextAfter(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.414213562373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test191"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-48), 15227406);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15227406);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test192"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField6.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField6.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode9);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getPiSplit();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test193"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(1452108352);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.negate();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.newInstance(0.12336568243110566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test194"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    dfpField1.setIEEEFlags(0);
    dfpField1.setIEEEFlags((-32767));
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test195"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9206163415662993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test196"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    int i41 = dfp40.classify();
    int i42 = dfp40.classify();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp40.newInstance((byte)(-1), (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test197"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.44284713f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test198"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.abs();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.power10K(16);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.newInstance("1.609437912434");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test199"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    int i28 = dfp27.classify();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp6, dfp11, dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.remainder(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.floor();
    double[] d_array44 = dfp43.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.negate();
    org.apache.commons.math3.dfp.Dfp dfp48 = org.apache.commons.math3.dfp.Dfp.copysign(dfp27, dfp46);
    double[] d_array49 = dfp27.toSplitDouble();
    boolean b50 = dfp27.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test200"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField8.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField8.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField16.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp14.add(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp17.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp20.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.abs();
    org.apache.commons.math3.dfp.DfpField dfpField23 = dfp22.getField();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp22.rint();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    int i28 = dfp27.classify();
    org.apache.commons.math3.dfp.Dfp dfp29 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp6, dfp11, dfp27);
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.remainder(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp32.floor();
    double[] d_array44 = dfp43.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp46 = dfp43.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp46.negate();
    org.apache.commons.math3.dfp.Dfp dfp48 = org.apache.commons.math3.dfp.Dfp.copysign(dfp27, dfp46);
    double[] d_array49 = dfp27.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp27.getTwo();
    int i51 = dfp50.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 4);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test201"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    int i4 = dfp3.getRadixDigits();
    boolean b5 = dfp3.isNaN();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField7.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode10 = dfpField7.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField7.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array14 = dfpField7.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField7.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp3.nextAfter(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(7.376617840630635E140d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test203"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    boolean b7 = dfp5.isInfinite();
    int i8 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.rint();
    org.apache.commons.math3.dfp.DfpField dfpField10 = dfp5.getField();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField10.newDfp((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test204"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.478591263419638d, 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.16346039061893E9d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test205"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.394071178252861d), 1.4635775323982985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test206"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.9999998f), (java.lang.Number)100, true);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test207"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    double d11 = dfp9.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.ceil();
    java.lang.String str13 = dfp12.toString();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.rint();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.power10(4);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.divide(100);
    int i19 = dfp18.log10K();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.power10K(1973661107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "0."+ "'", str13.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test208() {}
// Defects4J: flaky method
//   @Test
//   public void test208() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test208"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
//     boolean b2 = mersenneTwister1.nextBoolean();
//     float f3 = mersenneTwister1.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d6 = mersenneTwister5.nextDouble();
//     boolean b7 = mersenneTwister5.nextBoolean();
//     int i9 = mersenneTwister5.nextInt(100);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister10.clear();
//     double d12 = mersenneTwister10.nextGaussian();
//     mersenneTwister10.setSeed(10L);
//     int[] i_array16 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
//     mersenneTwister10.setSeed(i_array16);
//     mersenneTwister5.setSeed(i_array16);
//     mersenneTwister1.setSeed(i_array16);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f3 == 0.5928446f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.1129943035738381d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == (-1.3269579655356931d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array16);
// 
//   }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test209"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    java.lang.Number number7 = numberIsTooSmallException3.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = numberIsTooSmallException3.getContext();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooSmallException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100L+ "'", number6.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0f+ "'", number7.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test210"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField14.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = dfpField14.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test211"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    int i15 = dfp14.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    java.lang.Object obj27 = null;
    boolean b28 = dfp26.equals(obj27);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp14.nextAfter(dfp26);
    boolean b30 = dfp14.strictlyPositive();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp14.newInstance((byte)3);
    boolean b34 = dfp32.equals((java.lang.Object)false);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.rint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test212"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Number number12 = numberIsTooSmallException10.getArgument();
    java.lang.String str13 = numberIsTooSmallException10.toString();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.Throwable[] throwable_array15 = numberIsTooSmallException3.getSuppressed();
    boolean b16 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100L+ "'", number12.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str13.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test213"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-0.4351374f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.43513736f));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test214"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(33738.00000000001d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2110535680000005E9d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test215"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test216"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz14 = dfpField13.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array15 = dfpField13.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField13.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.floor();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp16.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz21 = dfpField20.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField20.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp36.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp42 = new org.apache.commons.math3.dfp.Dfp(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp48.add(dfp51);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp51.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp45.remainder(dfp51);
    org.apache.commons.math3.dfp.DfpField dfpField57 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfpField57.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp62 = dfp58.add(dfp61);
    org.apache.commons.math3.dfp.DfpField dfpField64 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfpField64.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp65.add(dfp68);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp68.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp71.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp58.remainder(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp45.newInstance(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.getOne();
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp75.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp75.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp25.dotrap(40, "0.", dfp42, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp16, dfp75);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfpField11.newDfp(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp81.newInstance(0.42416926581630204d);
    java.lang.String str84 = dfp81.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "1."+ "'", str84.equals("1."));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test217"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test218"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    int i5 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField7.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField7.newDfp((byte)(-1), (byte)1);
    boolean b15 = dfp14.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp18.add(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp21.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp21.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp21.getOne();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp14.multiply(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField1.newDfp(dfp21);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField1.newDfp((byte)1, (byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField1.newDfp((byte)3);
    double[] d_array35 = dfp34.toSplitDouble();
    boolean b36 = dfp34.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test219"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp((byte)10, (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance((byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test220"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b2 = mersenneTwister1.nextBoolean();
    float f3 = mersenneTwister1.nextFloat();
    mersenneTwister1.setSeed(43);
    double d6 = mersenneTwister1.nextDouble();
    boolean b7 = mersenneTwister1.nextBoolean();
    long long8 = mersenneTwister1.nextLong();
    mersenneTwister1.setSeed(0L);
    double d11 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.5928446f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.11505457009168407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1898442276311787797L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.15071724896777527d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1054.3125000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test222"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(625644691);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister2.clear();
    mersenneTwister2.setSeed((-1L));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b8 = mersenneTwister7.nextBoolean();
    byte[] byte_array12 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister7.nextBytes(byte_array12);
    int[] i_array15 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(i_array15);
    long long17 = mersenneTwister16.nextLong();
    mersenneTwister16.clear();
    float f19 = mersenneTwister16.nextFloat();
    int[] i_array21 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister22 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(i_array21);
    mersenneTwister23.clear();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b27 = mersenneTwister26.nextBoolean();
    byte[] byte_array31 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister26.nextBytes(byte_array31);
    mersenneTwister23.nextBytes(byte_array31);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister35 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister35.setSeed(4);
    boolean b38 = mersenneTwister35.nextBoolean();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister40 = new org.apache.commons.math3.random.MersenneTwister(0);
    long long41 = mersenneTwister40.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister42 = new org.apache.commons.math3.random.MersenneTwister();
    int[] i_array44 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister45 = new org.apache.commons.math3.random.MersenneTwister(i_array44);
    mersenneTwister42.setSeed(i_array44);
    mersenneTwister40.setSeed(i_array44);
    mersenneTwister35.setSeed(i_array44);
    mersenneTwister35.setSeed(1);
    boolean b51 = mersenneTwister35.nextBoolean();
    int[] i_array53 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(i_array53);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister55 = new org.apache.commons.math3.random.MersenneTwister(i_array53);
    mersenneTwister55.clear();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister58 = new org.apache.commons.math3.random.MersenneTwister(0);
    boolean b59 = mersenneTwister58.nextBoolean();
    byte[] byte_array63 = new byte[] { (byte)1, (byte)0, (byte)100 };
    mersenneTwister58.nextBytes(byte_array63);
    mersenneTwister55.nextBytes(byte_array63);
    mersenneTwister35.nextBytes(byte_array63);
    mersenneTwister23.nextBytes(byte_array63);
    mersenneTwister16.nextBytes(byte_array63);
    mersenneTwister7.nextBytes(byte_array63);
    mersenneTwister2.nextBytes(byte_array63);
    mersenneTwister1.nextBytes(byte_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f19 == 0.45492697f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == (-8322921849960486353L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array63);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test223"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.7995014419420642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.928124884856283d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test224"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    boolean b36 = dfp2.unequal(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField38.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField38.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField38.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.remainder(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.add(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp61.remainder(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp48.newInstance(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp74.floor();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp78.rint();
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp2, dfp45, dfp78);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp78.floor();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp81.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test225"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    int i7 = dfp6.log10K();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField13 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField13.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp11.add(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp14.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField19.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp17.add(dfp21);
    int i23 = dfp21.getRadixDigits();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz26 = dfpField25.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array27 = dfpField25.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField25.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array29 = dfpField25.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array30 = dfpField25.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField25.newDfp(93740670);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp21.nextAfter(dfp32);
    boolean b34 = dfp8.lessThan(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test226"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    boolean b10 = dfp9.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test227"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(43);
    int i6 = dfp5.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp5.negate();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz10 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode15 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField9.setRoundingMode(roundingMode15);
    org.apache.commons.math3.dfp.Dfp[] dfp_array17 = dfpField9.getLn2Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField9.getPiSplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField9.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField9.newDfp(1452108352);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField9.getSqr3Reciprocal();
    boolean b23 = dfp7.equals((java.lang.Object)dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test228"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getE();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test229"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField5.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp8.reciprocal();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    boolean b20 = dfp19.isZero();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp8.divide(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.newInstance(100L);
    boolean b31 = dfp30.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array34 = dfpField33.getLn5Split();
    dfpField33.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField33.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField33.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array40 = dfpField33.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array41 = dfpField33.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField33.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp30.add(dfp43);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp21.nextAfter(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test230"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField1.setRoundingMode(roundingMode4);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(0L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.1749644353408532d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(3.0351814940636936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 173.90308966606116d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test233"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField6.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = dfpField6.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode9);
    int i11 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test234"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.0f, (java.lang.Number)(-0.19274024445396923d), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.19274024445396923d)+ "'", number4.equals((-0.19274024445396923d)));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test235"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1954711869), 1961060856);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1954711869));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test236"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), 1953896601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.8550394141868537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.656188768430014d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test238"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    java.lang.String str6 = numberIsTooSmallException3.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException3.getContext();
    java.lang.String str8 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100L+ "'", number5.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str6.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"+ "'", str8.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)"));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test239"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(3466294351118228098L, 2687123488734686643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2687123488734686643L);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test240"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField6.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField6.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField6.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp(dfp10);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz15 = dfpField14.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField14.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField14.newDfp((byte)(-1), (byte)1);
    boolean b22 = dfp21.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp25.add(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp28.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp28.newInstance((-1.0d));
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.getOne();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp21.multiply(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField1.newDfp(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField1.newDfp(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test241"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField2.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp3.add(dfp6);
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp3.remainder(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp3.newInstance((byte)100, (byte)1);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfp21.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp23 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test242"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-456030941225144127L), 2003809426298699771L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-456030941225144127L));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test243"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp10.rint();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.newInstance((byte)(-1));
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    int i16 = dfp15.classify();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.abs();
    double d28 = dfp26.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.ceil();
    java.lang.String str30 = dfp29.toString();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp15.nextAfter(dfp29);
    org.apache.commons.math3.dfp.DfpField dfpField33 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfpField33.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp34.add(dfp37);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp45 = dfp41.add(dfp44);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp44.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp47.newInstance();
    boolean b49 = dfp34.unequal(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp34.newInstance(1.4142135623730634d);
    org.apache.commons.math3.dfp.Dfp dfp52 = org.apache.commons.math3.dfp.Dfp.copysign(dfp15, dfp34);
    org.apache.commons.math3.dfp.Dfp dfp53 = new org.apache.commons.math3.dfp.Dfp(dfp52);
    double[] d_array54 = dfp52.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "0."+ "'", str30.equals("0."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.136670368662452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13753098025083144d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test245"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.85515358548612d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test246"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    dfpField1.setIEEEFlagsBits(42);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode6 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test247"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    boolean b6 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)100L, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException10.getContext();
    java.lang.Throwable[] throwable_array12 = numberIsTooSmallException10.getSuppressed();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    java.lang.Number number14 = numberIsTooSmallException3.getMin();
    java.lang.Number number15 = numberIsTooSmallException3.getArgument();
    boolean b16 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 10.0f+ "'", number14.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 100L+ "'", number15.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test248"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.newDfp(15227406);
    boolean b5 = dfp4.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.ceil();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test249"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    double d2 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(9982);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1129943035738381d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(9.204458278123152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.462577769375674d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test251"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(7600914431415758679L);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test252"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    int i2 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-21.836558978921115d));
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)1, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp(1953896601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test253"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    int i3 = dfp2.classify();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp2.sqrt();
    int i5 = dfp2.log10();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField10.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp8.add(dfp11);
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp11.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp14.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.abs();
    org.apache.commons.math3.dfp.DfpField dfpField17 = dfp16.getField();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField17.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField17.getSqr3Reciprocal();
    int i22 = dfp21.classify();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp2.nextAfter(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test254"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.051507934761342765d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.3525865378754972d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test256"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz3 = dfpField2.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField2.getLn2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test257"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    boolean b10 = dfp9.positiveOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test258"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField11.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode14 = dfpField11.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode14);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode16 = dfpField1.getRoundingMode();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array18 = dfpField1.getSqr2Split();
    dfpField1.setIEEEFlags(13856);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array18);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test259"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.newDfp(0.0d);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp19.power10K(283);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test260"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    int i5 = dfpField1.getIEEEFlags();
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField9.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField9.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getSqr2();
    int i15 = dfpField9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField9.getPi();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField9.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp(dfp17);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField1.newDfp((byte)10, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test261"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp((-32767));
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp("2.718281828459");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test262"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.105428E-15f, 0.018526398f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.105428E-15f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test263"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getPi();
    double[] d_array19 = dfp18.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp18.power10K(6);
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp31.abs();
    org.apache.commons.math3.dfp.DfpField dfpField33 = dfp32.getField();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField33.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField33.getSqr3Reciprocal();
    dfpField33.setIEEEFlags(17714);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField33.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField33.newDfp(0.0d);
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array49 = dfpField46.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField46.getPi();
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp50.power10K(65);
    org.apache.commons.math3.dfp.DfpField dfpField54 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz55 = dfpField54.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField54.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp42.dotrap(20, "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp50, dfp56);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp18.divide(dfp42);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp58.ceil();
    boolean b60 = dfp59.isZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test264"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.negate();
    boolean b18 = dfp17.isNaN();
    int i19 = dfp17.classify();
    double d20 = dfp17.toDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-100.0d));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test265"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.5711645f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.57116455f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.710345157948079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.536695196899516d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test267"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    int i5 = dfp4.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp4.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test268"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test269"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.9998000199980002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.28432150298071d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test270"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.332370295606118d, (-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0357804816534779E-15d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test271"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(10);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp(0.0d);
    boolean b4 = dfp3.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField6 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz7 = dfpField6.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField6.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField6.getTwo();
    int i10 = dfp9.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp3.divide(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test272"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode17 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_CEIL;
    dfpField11.setRoundingMode(roundingMode17);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField11.getPiSplit();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode22 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_DOWN;
    dfpField11.setRoundingMode(roundingMode22);
    org.apache.commons.math3.dfp.Dfp[] dfp_array24 = dfpField11.getLn2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array24);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test273"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.1756158970161692d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test274"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp10.floor();
    int i22 = dfp10.intValue();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp10.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp24 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp7, dfp10);
    boolean b25 = dfp10.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField27 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfpField27.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField30 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfpField30.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.add(dfp31);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp31.newInstance(100L);
    boolean b35 = dfp34.isZero();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp38.add(dfp41);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp45.add(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp51.newInstance();
    boolean b53 = dfp38.unequal(dfp52);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp52.power10K(100);
    boolean b56 = dfp52.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp52.newInstance(100);
    boolean b59 = dfp34.lessThan(dfp52);
    boolean b60 = dfp10.greaterThan(dfp34);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp34.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField66 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfpField66.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp64.add(dfp67);
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField73 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfpField73.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp71.add(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp74.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp77.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp64.remainder(dfp77);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp64.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp64.negate();
    boolean b82 = dfp34.lessThan(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test275"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.60990047862414d), 1.3842507050922375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.60990047862414d));

  }

  @Test
  public void test276() {}
// Defects4J: flaky method
//   @Test
//   public void test276() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test276"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
//     boolean b2 = mersenneTwister1.nextBoolean();
//     double d3 = mersenneTwister1.nextGaussian();
//     byte[] byte_array4 = new byte[] {  };
//     mersenneTwister1.nextBytes(byte_array4);
//     mersenneTwister1.clear();
//     boolean b7 = mersenneTwister1.nextBoolean();
//     int i8 = mersenneTwister1.nextInt();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(10L);
//     int i11 = mersenneTwister10.nextInt();
//     long long12 = mersenneTwister10.nextLong();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister();
//     float f14 = mersenneTwister13.nextFloat();
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister16 = new org.apache.commons.math3.random.MersenneTwister(1L);
//     double d17 = mersenneTwister16.nextGaussian();
//     mersenneTwister16.setSeed((-1L));
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister();
//     int[] i_array22 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(i_array22);
//     mersenneTwister20.setSeed(i_array22);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(i_array22);
//     mersenneTwister16.setSeed(i_array22);
//     mersenneTwister13.setSeed(i_array22);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister28 = new org.apache.commons.math3.random.MersenneTwister(i_array22);
//     mersenneTwister10.setSeed(i_array22);
//     mersenneTwister1.setSeed(i_array22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.48564067996642346d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(byte_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == (-656048793));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == (-1841834327));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 5805985991905072931L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f14 == 0.526906f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 1.0019203836877835d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array22);
// 
//   }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test277"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.0f);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test278"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField36 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfpField36.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField39 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField39.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp37.add(dfp40);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfp40.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfp43.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField51 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfpField51.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp49.add(dfp52);
    boolean b54 = dfp52.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField59 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfpField59.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField62 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfpField62.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp64 = dfp60.add(dfp63);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp63.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp57.remainder(dfp63);
    org.apache.commons.math3.dfp.DfpField dfpField69 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfpField69.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField72 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField72.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp70.add(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp73.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp57.multiply(dfp73);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp77.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp44.dotrap((-1), "", dfp52, dfp77);
    java.lang.Object obj81 = null;
    boolean b82 = dfp80.equals(obj81);
    boolean b83 = dfp34.equals((java.lang.Object)b82);
    org.apache.commons.math3.dfp.DfpField dfpField85 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField85.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode88 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_ODD;
    dfpField85.setRoundingMode(roundingMode88);
    org.apache.commons.math3.dfp.Dfp dfp90 = dfpField85.newDfp();
    org.apache.commons.math3.dfp.Dfp dfp91 = org.apache.commons.math3.dfp.Dfp.copysign(dfp34, dfp90);
    int i92 = dfp90.classify();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test279"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-63));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test280"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)9.094948E-13f);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 9.094948E-13f+ "'", number2.equals(9.094948E-13f));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test281"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.divide(2);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp28.reciprocal();
    boolean b38 = dfp28.negativeOrNull();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test282"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)8);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException1.getContext();
    java.lang.Number number4 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 8+ "'", number4.equals(8));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test283"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp9.newInstance((-1L));
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp9.newInstance(1L);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.rint();
    boolean b20 = dfp18.negativeOrNull();
    org.apache.commons.math3.dfp.Dfp dfp21 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp14, dfp18);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp14.newInstance(10L);
    boolean b24 = dfp14.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test284"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp13.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test285"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    boolean b35 = dfp34.strictlyNegative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test286"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.setIEEEFlags(17714);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField11.getPi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.1211725798454664d, (-49));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.767959419756768E-15d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test288"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)5.054627147606801d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test289"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp2.toDouble();
    java.lang.String str8 = dfp2.toString();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp2.newInstance((byte)2, (byte)1);
    int i12 = dfp11.log10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.414213562373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1.414213562373"+ "'", str8.equals("1.414213562373"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-4));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9206163415662993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9594875411209357d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test291"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField1.getRoundingMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test292"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.newDfp((byte)1);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp(1823289175);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test293"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(5.0d, 0.7207788279921518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7207788279921518d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test294"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2);
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test295"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = new org.apache.commons.math3.dfp.Dfp(dfp14);
    org.apache.commons.math3.dfp.Dfp dfp18 = null;
    org.apache.commons.math3.dfp.DfpField dfpField20 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField20.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode23 = dfpField20.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField20.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField20.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField20.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.add(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp36.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp30.remainder(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.DfpField dfpField49 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfpField49.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField52 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfpField52.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp50.add(dfp53);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfp53.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp56.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp43.remainder(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp30.newInstance(dfp56);
    org.apache.commons.math3.dfp.Dfp dfp60 = dfp59.getOne();
    boolean b61 = dfp60.strictlyNegative();
    org.apache.commons.math3.dfp.Dfp dfp62 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp27, dfp60);
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp14.dotrap((-4), "org.apache.commons.math3.exception.NotStrictlyPositiveException: 8 is smaller than, or equal to, the minimum (0)", dfp18, dfp60);
    org.apache.commons.math3.dfp.DfpField dfpField65 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField65.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField65.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array70 = dfpField65.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField65.getZero();
    org.apache.commons.math3.dfp.Dfp[] dfp_array72 = dfpField65.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfpField65.getLn10();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfpField65.newDfp(2);
    boolean b76 = dfp14.unequal(dfp75);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp75.newInstance((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test296"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    int i7 = dfpField1.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn5();
    dfpField1.setIEEEFlagsBits(32768);
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField1.getSqr2Split();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test297"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.028316619f, 283);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test298"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.DfpField dfpField5 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField5.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode8 = dfpField5.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField5.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField5.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField5.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField1.newDfp(dfp12);
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField1.newDfp((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test299"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(2);
    int i8 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp[] dfp_array10 = dfpField1.getSqr2Split();
    dfpField1.setIEEEFlagsBits((-656048793));
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp("1.732050807569");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test300"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp(10L);
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp("org.apache.commons.math3.exception.NumberIsTooSmallException: 100 is smaller than, or equal to, the minimum (10)");
    dfpField1.clearIEEEFlags();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test301"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getE();
    java.lang.String str6 = dfp5.toString();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance("2.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "2.718281828459"+ "'", str6.equals("2.718281828459"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-38.816242111356935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test303"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp6.abs();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField10.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode13 = dfpField10.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getSqr2();
    int i16 = dfpField10.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField10.getPi();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField10.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp6.remainder(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test304"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfp3.rint();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfp3.sqrt();
    org.apache.commons.math3.dfp.DfpField dfpField6 = dfp3.getField();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp3.newInstance((byte)2, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp9.newInstance((byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test305"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-1.0377244694512477d), (java.lang.Number)15227406, true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9758262462562455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4775895535390497d);

  }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test307"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     long long2 = mersenneTwister0.nextLong();
//     mersenneTwister0.clear();
//     boolean b4 = mersenneTwister0.nextBoolean();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 7206761391911100770L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
// 
//   }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test308"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(94L, (-2489572767475743101L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 94L);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test309"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz3 = dfpField2.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array4 = dfpField2.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField2.getE();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField2.getSqr3();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField2.getSqr2Split();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])dfp_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalArgumentException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test310"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp28.newInstance(43);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp28.sqrt();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp28.getZero();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp28.newInstance(13856);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test311"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test312"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.7453292519943295d), (java.lang.Number)6, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 6+ "'", number4.equals(6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test313"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz8 = dfpField7.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField7.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField7.getTwo();
    boolean b11 = dfp10.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp10.power10(14);
    org.apache.commons.math3.dfp.Dfp dfp14 = org.apache.commons.math3.dfp.Dfp.copysign(dfp5, dfp13);
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField16.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode19 = dfpField16.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp21 = dfp5.multiply(dfp20);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance(42);
    boolean b24 = dfp20.strictlyPositive();
    int i25 = dfp20.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));

  }

  @Test
  public void test314() {}
// Defects4J: flaky method
//   @Test
//   public void test314() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest6.test314"); }
// 
// 
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister0 = new org.apache.commons.math3.random.MersenneTwister();
//     mersenneTwister0.clear();
//     double d2 = mersenneTwister0.nextGaussian();
//     mersenneTwister0.setSeed(10L);
//     int[] i_array6 = new int[] { 100 };
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
//     mersenneTwister0.setSeed(i_array6);
//     double d10 = mersenneTwister0.nextGaussian();
//     float f11 = mersenneTwister0.nextFloat();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-1.0740735549647684d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.7650730050315234d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f11 == 0.7707838f);
// 
//   }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test315"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp(1L);
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getPi();
    java.lang.Class clazz8 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test316"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.newDfp("hi!");
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField1.newDfp((-0.39670370510265773d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test317"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField11.getSqr3Reciprocal();
    dfpField11.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp29.add(dfp32);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp32.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp35.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp22.remainder(dfp35);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp22.newInstance((byte)100, (byte)1);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp46.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp49.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp17.dotrap(0, "", dfp22, dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp17.abs();
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp17.rint();
    org.apache.commons.math3.dfp.DfpField dfpField55 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp56 = dfpField55.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField58 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp59 = dfpField58.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField61 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp62 = dfpField61.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp63 = dfp59.add(dfp62);
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp62.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp66 = dfp56.remainder(dfp62);
    org.apache.commons.math3.dfp.DfpField dfpField68 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp69 = dfpField68.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField71 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp72 = dfpField71.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp69.add(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp72.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp56.multiply(dfp72);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp76.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp80 = dfp78.divide(1);
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp80.newInstance(8);
    org.apache.commons.math3.dfp.Dfp dfp83 = dfp80.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp84 = dfp17.add(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp84);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(4.727787050299033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test319"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField15 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField15.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp13.add(dfp16);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp16.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp10.remainder(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp30.add(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp33.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp36.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp38 = dfp23.remainder(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp10.newInstance(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp6.multiply(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField48 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfpField48.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp46.add(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp49.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp43.remainder(dfp49);
    org.apache.commons.math3.dfp.Dfp dfp54 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp40, dfp49);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp49.newInstance((byte)10, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.828427124746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test320"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getE();
    int i5 = dfpField1.getIEEEFlags();
    dfpField1.setIEEEFlags(2090815360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 16);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(13028.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test322"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test323"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test324"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-38.816242111356935d), (-1954711869));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test325"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode9 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_HALF_UP;
    dfpField1.setRoundingMode(roundingMode9);
    java.lang.Class clazz11 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test326"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(4.440893E-15f, 4.440893E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.440893E-15f);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test327"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.45306587f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.9802322E-8f);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test328"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode4 = dfpField1.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getSqr3Reciprocal();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField23 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp24 = dfpField23.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp24.add(dfp27);
    boolean b29 = dfp27.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField31 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfpField31.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField37 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp38 = dfpField37.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp35.add(dfp38);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfp38.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp42 = dfp32.remainder(dfp38);
    org.apache.commons.math3.dfp.DfpField dfpField44 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField44.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp45.add(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp48.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp32.multiply(dfp48);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfp52.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp19.dotrap((-1), "", dfp27, dfp52);
    double[] d_array56 = dfp27.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp27.power10K((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp59 = dfp9.add(dfp58);
    boolean b60 = dfp58.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp61 = dfp58.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test329"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getTwo();
    boolean b5 = dfp4.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfp4.power10(14);
    boolean b8 = dfp4.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test330"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.1007893020346884d, (java.lang.Number)0.15071714f, false);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test331"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField9.setIEEEFlags(0);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode12 = dfpField9.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField9.getSqr3();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField9.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField9.getSqr3Reciprocal();
    dfpField9.setIEEEFlagsBits(65);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfp7.newInstance(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test332"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    int i15 = dfp14.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp14.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField18 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfpField18.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp23 = dfp19.add(dfp22);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfp22.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp25.newInstance();
    java.lang.Object obj27 = null;
    boolean b28 = dfp26.equals(obj27);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp14.nextAfter(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp29.power10K((-1223252363));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test333"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.016081364265231796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.793677110579533d));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test334"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.1774193f, number2, true);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test335"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test336"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp[] dfp_array6 = dfpField1.getPiSplit();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.getLn10();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test337"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.41782886f, 0.47224045f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.41782886f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test338"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array3 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getZero();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getPi();
    java.lang.Class clazz6 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.getZero();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz10 = dfpField9.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp[] dfp_array11 = dfpField9.getESplit();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField9.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.floor();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp12.getOne();
    org.apache.commons.math3.dfp.DfpField dfpField16 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz17 = dfpField16.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField16.getLn2();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField16.newDfp(43);
    org.apache.commons.math3.dfp.Dfp dfp21 = dfpField16.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField28 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfpField28.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp26.add(dfp29);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp29.newInstance(100L);
    org.apache.commons.math3.dfp.DfpField dfpField34 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfpField34.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField34.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp32.add(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp38 = new org.apache.commons.math3.dfp.Dfp(dfp32);
    org.apache.commons.math3.dfp.DfpField dfpField40 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp41 = dfpField40.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField43 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField43.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField46 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp47 = dfpField46.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp48 = dfp44.add(dfp47);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp47.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfp41.remainder(dfp47);
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField56 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfpField56.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp54.add(dfp57);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.Dfp dfp67 = dfp64.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfp67.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp69 = dfp54.remainder(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp70 = dfp41.newInstance(dfp67);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfp70.getOne();
    org.apache.commons.math3.dfp.Dfp dfp73 = dfp71.newInstance(0.42451759467098804d);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp21.dotrap(40, "0.", dfp38, dfp71);
    org.apache.commons.math3.dfp.Dfp dfp76 = org.apache.commons.math3.dfp.DfpField.computeExp(dfp12, dfp71);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp76.newInstance(1.3215007615199086d);
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp7.nextAfter(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test339"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.9762606057648759d, (java.lang.Number)(-0.5389285114331122d), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.5389285114331122d)+ "'", number4.equals((-0.5389285114331122d)));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test340"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.9517176f, (-2.3841856E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9517176f));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test341"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.8626451E-9f, 2.0181124804897994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.8626454E-9f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(9.202333556028464E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.202333556031062E-7d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test343"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode7 = org.apache.commons.math3.dfp.DfpField.RoundingMode.ROUND_FLOOR;
    dfpField1.setRoundingMode(roundingMode7);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.newDfp((byte)3);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField1.getLn5Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test344"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.DfpField dfpField10 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz11 = dfpField10.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField10.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField10.getSqr3();
    int i16 = dfpField10.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField10.getE();
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode18 = dfpField10.getRoundingMode();
    dfpField1.setRoundingMode(roundingMode18);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField1.getSqr3Reciprocal();
    int i21 = dfp20.classify();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp23 = dfp20.newInstance(1970163199820858683L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test345"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    mersenneTwister1.setSeed(4);
    boolean b4 = mersenneTwister1.nextBoolean();
    int[] i_array6 = new int[] { 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array6);
    mersenneTwister1.setSeed(i_array6);
    long long9 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 2687123488734686643L);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test346"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp23.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp26.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp27.abs();
    double d29 = dfp27.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp27.ceil();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp16.multiply(dfp30);
    int i32 = dfp31.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 4);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test347"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField17 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField17.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp15.add(dfp18);
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    org.apache.commons.math3.dfp.Dfp dfp28 = dfp25.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp28.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp15.remainder(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp2.newInstance(dfp28);
    org.apache.commons.math3.dfp.Dfp dfp32 = dfp28.floor();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp32.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp32.getOne();
    org.apache.commons.math3.dfp.Dfp dfp36 = dfp34.multiply((-460162166));
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp34.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test348"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9030899869919435d, 1961060856);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test349"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp(2.718281828459045d);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp5.floor();
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz9 = dfpField8.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField8.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField8.getSqr3();
    int i14 = dfpField8.getRadixDigits();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField8.getE();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp6.subtract(dfp15);
    double[] d_array17 = dfp6.toSplitDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test350"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getZero();
    dfpField1.clearIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp9 = dfpField1.newDfp(dfp8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test351"); }


    org.apache.commons.math3.dfp.Dfp dfp0 = null;
    org.apache.commons.math3.dfp.DfpField dfpField2 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField2.setIEEEFlags(1);
    org.apache.commons.math3.dfp.DfpField.RoundingMode roundingMode5 = dfpField2.getRoundingMode();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField2.getSqr2Reciprocal();
    double d7 = dfp6.toDouble();
    org.apache.commons.math3.dfp.DfpField dfpField9 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField9.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfpField12.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfp10.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp16.newInstance();
    org.apache.commons.math3.dfp.DfpField dfpField21 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp22 = dfpField21.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField24 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp25 = dfpField24.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp26 = dfp22.add(dfp25);
    boolean b27 = dfp25.isInfinite();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField32 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfpField32.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField35 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp36 = dfpField35.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp37 = dfp33.add(dfp36);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfp36.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp40 = dfp30.remainder(dfp36);
    org.apache.commons.math3.dfp.DfpField dfpField42 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp43 = dfpField42.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField45 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp46 = dfpField45.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp47 = dfp43.add(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp49 = dfp46.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp50 = dfp30.multiply(dfp46);
    org.apache.commons.math3.dfp.Dfp dfp52 = dfp50.power10(1);
    org.apache.commons.math3.dfp.Dfp dfp53 = dfp17.dotrap((-1), "", dfp25, dfp50);
    java.lang.Object obj54 = null;
    boolean b55 = dfp53.equals(obj54);
    boolean b56 = dfp6.greaterThan(dfp53);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.dfp.Dfp dfp57 = org.apache.commons.math3.dfp.Dfp.copysign(dfp0, dfp6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(roundingMode5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.7071067811865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test352"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(4);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getLn10();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField14 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfpField14.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp12.add(dfp15);
    org.apache.commons.math3.dfp.Dfp dfp18 = dfp15.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp18.newInstance();
    boolean b20 = dfp5.unequal(dfp19);
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField25 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp26 = dfpField25.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp27 = dfp23.add(dfp26);
    org.apache.commons.math3.dfp.Dfp dfp29 = dfp26.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfp29.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp30.abs();
    double d32 = dfp30.toDouble();
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.ceil();
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp19.multiply(dfp33);
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp2.subtract(dfp33);
    boolean b37 = dfp2.equals((java.lang.Object)0.526906f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.999359442880977d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.8134803500340495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24030886079240985d));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test355"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test356"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(7.450580596923828E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test357"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(32760);
    mersenneTwister1.clear();
    double d3 = mersenneTwister1.nextDouble();
    boolean b4 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed((-51));
    mersenneTwister1.setSeed(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5451694854284768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test358"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test359"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField1.newDfp((byte)(-1), (byte)1);
    int i9 = dfpField1.getIEEEFlags();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.DfpField dfpField12 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array13 = dfpField12.getLn5Split();
    dfpField12.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField12.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField12.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array19 = dfpField12.getLn5Split();
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField12.getSqr3Reciprocal();
    boolean b21 = dfp10.greaterThan(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.039948219283329346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test361"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(100);
    org.apache.commons.math3.dfp.Dfp dfp3 = dfpField1.newDfp((-1));
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.Dfp[] dfp_array5 = dfpField1.getLn5Split();
    int i6 = dfpField1.getRadixDigits();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 25);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test362"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfp5.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp8.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfp9.abs();
    org.apache.commons.math3.dfp.DfpField dfpField11 = dfp10.getField();
    org.apache.commons.math3.dfp.Dfp dfp14 = dfpField11.newDfp((byte)(-1), (byte)100);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfpField11.newDfp(16);
    org.apache.commons.math3.dfp.Dfp dfp17 = dfpField11.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp18 = dfpField11.getSqr2Reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp18);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test363"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.052810077f, (-0.9576594803233847d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.052810073f);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test364"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr3();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp11.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp12.abs();
    org.apache.commons.math3.dfp.DfpField dfpField14 = dfp13.getField();
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp13.rint();
    boolean b16 = dfp13.positiveOrNull();
    org.apache.commons.math3.dfp.Dfp dfp17 = dfp2.add(dfp13);
    org.apache.commons.math3.dfp.Dfp dfp19 = dfp2.power10K((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfpField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp19);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test365"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test366"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField7 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp8 = dfpField7.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp9 = dfp5.add(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp11 = dfp8.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfp2.remainder(dfp8);
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp2.floor();
    double[] d_array14 = dfp13.toSplitDouble();
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp13.newInstance((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test367"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    dfpField1.setIEEEFlags(0);
    org.apache.commons.math3.dfp.Dfp dfp4 = dfpField1.getLn5();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.newDfp((byte)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test368"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    java.lang.Class clazz2 = dfpField1.getRuntimeClass();
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.newDfp((byte)0, (byte)0);
    org.apache.commons.math3.dfp.Dfp dfp6 = dfpField1.getSqr2Reciprocal();
    org.apache.commons.math3.dfp.Dfp[] dfp_array7 = dfpField1.getSqr2Split();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array7);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test369"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp[] dfp_array2 = dfpField1.getLn5Split();
    dfpField1.setIEEEFlagsBits(100);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField1.getTwo();
    org.apache.commons.math3.dfp.Dfp dfp7 = dfpField1.newDfp(10.0d);
    org.apache.commons.math3.dfp.Dfp[] dfp_array8 = dfpField1.getLn5Split();
    org.apache.commons.math3.dfp.Dfp[] dfp_array9 = dfpField1.getLn2Split();
    org.apache.commons.math3.dfp.Dfp dfp10 = dfpField1.getPi();
    org.apache.commons.math3.dfp.Dfp dfp11 = dfpField1.getTwo();
    boolean b12 = dfp11.isInfinite();
    org.apache.commons.math3.dfp.Dfp dfp13 = new org.apache.commons.math3.dfp.Dfp(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test370"); }


    org.apache.commons.math3.dfp.DfpField dfpField1 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp2 = dfpField1.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField4 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp5 = dfpField4.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp6 = dfp2.add(dfp5);
    org.apache.commons.math3.dfp.DfpField dfpField8 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp9 = dfpField8.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField11 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp12 = dfpField11.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp13 = dfp9.add(dfp12);
    org.apache.commons.math3.dfp.Dfp dfp15 = dfp12.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp16 = dfp15.newInstance();
    boolean b17 = dfp2.unequal(dfp16);
    org.apache.commons.math3.dfp.DfpField dfpField19 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp20 = dfpField19.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField22 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp23 = dfpField22.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp24 = dfp20.add(dfp23);
    org.apache.commons.math3.dfp.DfpField dfpField26 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp27 = dfpField26.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField29 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp30 = dfpField29.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp31 = dfp27.add(dfp30);
    org.apache.commons.math3.dfp.Dfp dfp33 = dfp30.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp34 = dfp33.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp35 = dfp20.remainder(dfp33);
    boolean b36 = dfp2.unequal(dfp35);
    org.apache.commons.math3.dfp.DfpField dfpField38 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp39 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp40 = dfpField38.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp42 = dfpField38.newDfp((-1961060856));
    org.apache.commons.math3.dfp.Dfp dfp44 = dfpField38.newDfp(100.0d);
    org.apache.commons.math3.dfp.Dfp dfp45 = dfpField38.getPi();
    org.apache.commons.math3.dfp.DfpField dfpField47 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp48 = dfpField47.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField50 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp51 = dfpField50.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField53 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp54 = dfpField53.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp55 = dfp51.add(dfp54);
    org.apache.commons.math3.dfp.Dfp dfp57 = dfp54.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp58 = dfp48.remainder(dfp54);
    org.apache.commons.math3.dfp.DfpField dfpField60 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp61 = dfpField60.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField63 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp64 = dfpField63.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp65 = dfp61.add(dfp64);
    org.apache.commons.math3.dfp.DfpField dfpField67 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp68 = dfpField67.getSqr2();
    org.apache.commons.math3.dfp.DfpField dfpField70 = new org.apache.commons.math3.dfp.DfpField(0);
    org.apache.commons.math3.dfp.Dfp dfp71 = dfpField70.getSqr2();
    org.apache.commons.math3.dfp.Dfp dfp72 = dfp68.add(dfp71);
    org.apache.commons.math3.dfp.Dfp dfp74 = dfp71.newInstance(100L);
    org.apache.commons.math3.dfp.Dfp dfp75 = dfp74.newInstance();
    org.apache.commons.math3.dfp.Dfp dfp76 = dfp61.remainder(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp77 = dfp48.newInstance(dfp74);
    org.apache.commons.math3.dfp.Dfp dfp78 = dfp74.floor();
    org.apache.commons.math3.dfp.Dfp dfp79 = dfp78.rint();
    org.apache.commons.math3.dfp.Dfp dfp80 = org.apache.commons.math3.dfp.DfpField.computeLn(dfp2, dfp45, dfp78);
    org.apache.commons.math3.dfp.Dfp dfp81 = dfp78.rint();
    org.apache.commons.math3.dfp.Dfp dfp82 = dfp78.negate();
    int i83 = dfp82.log10K();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dfp82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);

  }

}
